Pod::Spec.new do |s|
  
  s.name         = "SDWebImage"
  s.version      = "5.0.2"
  s.summary      = "Asynchronous image downloader with cache support with an UIImageView category."
  s.description  = <<-DESC
                    This library provides a category for UIImageView with support for remote
                    images coming from the web. It provides an UIImageView category adding web
                    image and cache management to the Cocoa Touch framework, an asynchronous
                    image downloader, an asynchronous memory + disk image caching with automatic
                    cache expiration handling, a guarantee that the same URL won\'t be downloaded
                    several times, a guarantee that bogus URLs won\'t be retried again and again,
                    and performances!
                    DESC
  
  s.homepage     = "https://github.com/SDWebImage/SDWebImage"
  s.license      = { :type => "MIT", :file => "LICENSE" }
  s.authors      = { "Olivier Poitrey" => "rs@dailymotion.com" }
  
  s.ios.deployment_target = "8.0"
  
  s.source       = { :git => "", :tag => s.version.to_s }
  s.source_files = "TMFProfile/TMFProfile.h", "Headers/*.h"
  s.public_header_files  = "TMFProfile/TMFProfile.h", "Headers/*.h"
  s.requires_arc = true
  
  s.frameworks   = "ImageIO"
  
  s.source_files = "Headers/*.h"
  s.vendored_libraries = "Libraries/libSDWebImage.a"
  
end
