//
//  APMAddViewController.h
//  ApmDemo
//
//  Created by WANGXINYU on 2019/8/17.
//  Copyright © 2019 wxy. All rights reserved.
//

#import "QAPMAddViewController.h"
#import "QAPMConfigManage.h"
#import "QAPMCoreDataManager.h"
@interface QAPMAddViewController ()

@end

@implementation QAPMAddViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    self.title = @"详细环境配置";
    
    self.navigationItem.rightBarButtonItem = [[UIBarButtonItem alloc] initWithTitle:@"确定" style:UIBarButtonItemStylePlain target:self action:@selector(save)];
   
    if (self.Config&&self.type == Upload) {
     
        
        self.nameTF.text        = [NSString stringWithFormat:@"%@",self.Config.name];
        
        self.appVersionTF.text  = [NSString stringWithFormat:@"%@",self.Config.appVersion];

        self.athenaHostTF.text  = [NSString stringWithFormat:@"%@",self.Config.athenaHost];
        
        self.hostTF.text        = [NSString stringWithFormat:@"%@",self.Config.host];
        
        self.appKeyTF.text      = [NSString stringWithFormat:@"%@",self.Config.appKey];
        
        self.userIdTF.text      = [NSString stringWithFormat:@"%@",self.Config.userId];
        
        self.configHostTF.text      = [NSString stringWithFormat:@"%@",self.Config.configHost];
    }
}

- (void)touchesBegan:(NSSet<UITouch *> *)touches withEvent:(UIEvent *)event {
    [self.view endEditing:YES];
}

- (void)save {
        
    if ([self isEmpty:self.appVersionTF]||[self isEmpty:self.nameTF]||[self isEmpty:self.appKeyTF]||[self isEmpty:self.hostTF]||[self isEmpty:self.athenaHostTF]||[self isEmpty:self.userIdTF]) {
        
        UIAlertController *alertController = [UIAlertController alertControllerWithTitle:@"提示" message:@"请填写完整信息" preferredStyle:UIAlertControllerStyleAlert];
        
        UIAlertAction *action = [UIAlertAction actionWithTitle:@"确定" style:UIAlertActionStyleCancel handler:nil];
        
        [alertController addAction:action];
        
        [self presentViewController:alertController animated:YES completion:nil];
        
        return;
    }else{
        UIAlertController *alertController = [UIAlertController alertControllerWithTitle:@"提示" message:@"确定新的配置环境后，重启app将立即生效" preferredStyle:UIAlertControllerStyleAlert];
        
        UIAlertAction *cancelAction = [UIAlertAction actionWithTitle:@"取消" style:UIAlertActionStyleCancel handler:nil];
        
        UIAlertAction *deterAction = [UIAlertAction actionWithTitle:@"确定" style:UIAlertActionStyleDefault handler:^(UIAlertAction * _Nonnull action) {
            
            
            self.navigationItem.rightBarButtonItem.enabled = NO;
            
            if (self.Config&&self.type == Upload) {
                [self upload];
            }else{
                [self add];
            }
            
            self.detailDic = [NSMutableDictionary dictionaryWithObjectsAndKeys:self.hostTF.text,@"host",self.athenaHostTF.text,@"athenaHost",self.userIdTF.text,@"userId",self.nameTF.text,@"configurename",self.appKeyTF.text,@"startWithAppKey",self.appVersionTF.text,@"customerAppVersion",self.configHostTF.text,@"configHost",nil];
            
            NSUserDefaults *defaults = [NSUserDefaults standardUserDefaults];
            
            [defaults setObject:self.detailDic forKey:@"configDiction"];
            
            self.navigationItem.rightBarButtonItem.enabled = YES;
            
           [self.navigationController popViewControllerAnimated:YES];
            
            
        }];
        
        [alertController addAction:deterAction];
        
        [alertController addAction:cancelAction];
        
        [self presentViewController:alertController animated:YES completion:nil];
        
    }
    

}
/**
 *   添加配置
 */
- (void)add {
    int userId = 0;
    
    NSNumber *lastId = [[NSUserDefaults standardUserDefaults] objectForKey:@"id"];
    if (lastId)
    {
        userId =lastId.intValue +1;
    }else{
        
        [[NSUserDefaults standardUserDefaults]setObject:@0 forKey:@"id"];
    }
    
    QAPMConfigManage *c     = [QAPMCoreDataManager insertNewObjectForEntityForName:[QAPMConfigManage class]];
    
    c.name        = self.nameTF.text;
    c.appVersion  = self.appVersionTF.text;
    c.userId      = self.userIdTF.text;
    c.athenaHost  = self.athenaHostTF.text;
    c.appKey      = self.appKeyTF.text;
    c.host        = self.hostTF.text;
    c.configHost  = self.configHostTF.text;
    
    NSError *error     = nil;
    [QAPMCoreDataManager save:&error];
    if (!error) {
       // [self.navigationController popViewControllerAnimated:YES];
    }
}
/**
 *   更新配置
 */
- (void)upload {
    __weak typeof(self)weadSelf = self;
    // 设置查询条件 通过用户名 和 id 来约束查询条件
    NSPredicate *predicate = [NSPredicate predicateWithFormat:@"name = %@ and userId = %@",self.Config.name,self.Config.userId];
    [QAPMCoreDataManager executeFetchRequest:[QAPMConfigManage class] predicate:predicate complete:^(NSArray *array, NSError *error) {
        if (array&&array.count>0) {
            for (QAPMConfigManage *c in array) {
                c.name           = weadSelf.nameTF.text;
                c.appVersion     = weadSelf.appVersionTF.text;
                c.userId         = weadSelf.userIdTF.text;
                c.athenaHost     = weadSelf.athenaHostTF.text;
                c.appKey         = weadSelf.appKeyTF.text;
                c.host           = weadSelf.hostTF.text;
                c.configHost     = weadSelf.configHostTF.text;
            }
            NSError *error = nil;
            [QAPMCoreDataManager save:&error];
            if (!error) {
                NSLog(@"修改成功");
            }
            //[self.navigationController popViewControllerAnimated:YES];
        }
    }];
}
- (BOOL)isEmpty:(UITextField*)textField {
    if ([textField.text isEqualToString:@""]) {
        return YES;
    }
    return NO;
}
@end
