//
//  APMConfigViewController.m
//  ApmDemo
//
//  Created by WANGXINYU on 2019/8/17.
//  Copyright © 2019 wxy. All rights reserved.
//

#import "QAPMConfigViewController.h"
#import "QAPMCoreDataManager.h"
#import "QAPMConfigManage.h"
#import "QAPMAddViewController.h"
#define KWIDTH [UIScreen mainScreen].bounds.size.width
#define KHEIGHT  [UIScreen mainScreen].bounds.size.height
@interface QAPMConfigViewController ()

<UITableViewDataSource,UITableViewDelegate,UITextFieldDelegate>
@property (nonatomic,strong)UITableView *tableView;
@property (nonatomic,strong)NSMutableArray *dataArray;
@property(nonatomic,strong)QAPMConfigManage *config;
@end

@implementation QAPMConfigViewController

- (void)viewDidLoad {
    [super viewDidLoad];
  
    _dataArray = [NSMutableArray array];
    [self loadtableView];
    self.tableView.tableFooterView = [[UIView alloc] init];
    
}

- (void)loadtableView {
    
    self.title = @"添加配置";
    UIBarButtonItem *addItem = [[UIBarButtonItem alloc] initWithBarButtonSystemItem:UIBarButtonSystemItemAdd target:self action:@selector(insertAction)];
    self.navigationItem.rightBarButtonItem = addItem;
    self.view.backgroundColor = [UIColor whiteColor];
    self.tableView = [[UITableView alloc]initWithFrame:CGRectMake(0, 64,KWIDTH,KHEIGHT - 64) style:UITableViewStylePlain];
    self.tableView.delegate = self;
    self.tableView.dataSource = self;
    [self.tableView registerClass:[UITableViewCell class] forCellReuseIdentifier:@"Cell"];
    [self.view addSubview:self.tableView];
    
}

- (void)viewWillAppear:(BOOL)animated {
    [super viewWillAppear:animated];
    
    [self loadDatas];

    if(![[NSUserDefaults standardUserDefaults] boolForKey:@"first"]) {
        [[NSUserDefaults standardUserDefaults] setBool:YES forKey:@"first"];
        //NSLog(@"首次启动");
        [self plistDatas];

    }else {
        [self loadDatas];
       // NSLog(@"非首次启动");

    }
    
    
}

/**
 *   将默认数据写入数据库
 */
- (void)plistDatas {
    
    NSString *path = [[NSBundle mainBundle]pathForResource:@"QAPMConfig" ofType:@"plist"];
    NSMutableArray *tableArray= [[NSMutableArray alloc]initWithContentsOfFile:path];
    
    for (NSDictionary *dic in tableArray) {
        
        NSLog(@"tableArray:%@",tableArray);
        
        QAPMConfigManage *c     = [QAPMCoreDataManager insertNewObjectForEntityForName:[QAPMConfigManage class]];
        
        c.name     = dic[@"configurename"];
        c.appVersion     = dic[@"customerAppVersion"];
        c.userId     = dic[@"userId"];
        c.athenaHost     = dic[@"athenaHost"];
        c.appKey     = dic[@"startWithAppKey"];
        c.host     = dic[@"host"];
        c.configHost = dic[@"configHost"];
        [_dataArray addObject:c];
        
    }
    NSError *error = nil;
    [QAPMCoreDataManager save:&error];
    if (!error) {
        //NSLog(@"修改成功");
    }

}

/**
 *   从数据库读取数据
 */
- (void)loadDatas {
    __weak typeof(self)weakSelf = self;
    // 获取所有的联系人
    [QAPMCoreDataManager executeFetchRequest:[QAPMConfigManage class] predicate:nil complete:^(NSArray *array, NSError *error)
     {
         [self.dataArray removeAllObjects];
         if (array&&array.count>0) {
             for (QAPMConfigManage *c in array) {
                 [self.dataArray addObject:c];
                 
              }
             [weakSelf.tableView reloadData];
         }
     }];
}

 
#pragma mark - 添加配置

- (void)insertAction {
    QAPMAddViewController *addVC = [[QAPMAddViewController alloc]  init];
    addVC.type = Add;
    [self.navigationController pushViewController:addVC animated:YES];
}


#pragma mark - UITableViewDataSource

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
    return self.dataArray.count;
}

- (UITableViewCell*)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {
  
    static NSString *CellIdentifier = @"Cell";
    QAPMConfigManage *c = self.dataArray[indexPath.row];
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:CellIdentifier];
    if (cell  == nil) {
        cell = [tableView dequeueReusableCellWithIdentifier:CellIdentifier forIndexPath:indexPath];
    }
    cell.textLabel.text = [NSString stringWithFormat:@"%@",c.name];
    return cell;
}

#pragma mark -UITableViewDelegate

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath {
    [tableView deselectRowAtIndexPath:indexPath animated:YES];
    
    QAPMConfigManage *c = _dataArray[indexPath.row];
    QAPMAddViewController *addVC = [[QAPMAddViewController alloc]  init];
    addVC.type = Upload;
    addVC.Config = c;
    [self.navigationController pushViewController:addVC animated:YES];
}

- (CGFloat)tableView:(UITableView *)tableView heightForRowAtIndexPath:(NSIndexPath *)indexPath {
    return 60;
}

- (void)tableView:(UITableView *)tableView commitEditingStyle:(UITableViewCellEditingStyle)editingStyle forRowAtIndexPath:(NSIndexPath *)indexPath {
    if (!indexPath&&self.dataArray.count==0) {
        return;
    }
    __weak UITableView *table = tableView;
   __weak QAPMConfigManage *c = _dataArray[indexPath.row];
    NSPredicate *predicate = [NSPredicate predicateWithFormat:@"name = %@ and userId = %@",c.name,c.userId];
    [QAPMCoreDataManager executeFetchRequest:[QAPMConfigManage class] predicate:predicate complete:^(NSArray *array, NSError *error) {
        if (array&&array.count>0) {
            for (QAPMConfigManage *c in array) {
                [QAPMCoreDataManager deleteObject:c];
            }
            NSError *error = nil;
            [QAPMCoreDataManager save:&error];
            if (!error) {
                [self.dataArray removeObject:c];
            }
            [table deleteRowsAtIndexPaths:[NSArray arrayWithObject:indexPath] withRowAnimation:UITableViewRowAnimationLeft];
        }
    }];
}

- (NSString*)tableView:(UITableView *)tableView titleForDeleteConfirmationButtonForRowAtIndexPath:(NSIndexPath *)indexPath {
    return @"删除";
}

@end
