//
//  CoreDataManager.h
//  ApmDemo
//
//  Created by WANGXINYU on 2019/8/17.
//  Copyright © 2019 wxy. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreData/CoreData.h>

typedef void(^complete)(NSArray*array,NSError*error);

@interface QAPMCoreDataManager : NSObject

+ (instancetype)manager;

+ (void)initCoreDataBaseWithFileName:(NSString *)fileName;

@property(strong,nonatomic)NSManagedObjectContext *context;

#pragma mark - 往数据库中插入一个对象首先需要将实体类和模型文件关联

+ (id)insertNewObjectForEntityForName:(Class)modelClass;


# pragma mark - 输入要查询对象的类名和查询语句 就可以得到一个查询结果集

+ (void)executeFetchRequest:(Class)entityClass predicate:(NSPredicate *)predicate complete:(complete)complete;

+ (NSArray*)executeFetchRequest:(Class)entityClass predicate:(NSPredicate *)predicate error:(NSError**)error;


#pragma mark - 用来保存上下文
+ (BOOL)save:(NSError **)error;

#pragma mark - 删除对象
+ (void)deleteObject:(NSManagedObject*)object;

@end
