//
//  CoreDataManager.m
//  ApmDemo
//
//  Created by WANGXINYU on 2019/8/17.
//  Copyright © 2019 wxy. All rights reserved.
//

#import "QAPMCoreDataManager.h"
@implementation QAPMCoreDataManager
+ (instancetype)allocWithZone:(struct _NSZone *)zone {
    static QAPMCoreDataManager *_manager;
    static dispatch_once_t onceToken;
    dispatch_once(&onceToken, ^{
        _manager = [super allocWithZone:zone];
    });
    return _manager;
}

+ (instancetype)manager
{
    return [[super alloc] init];
}

+ (void)initCoreDataBaseWithFileName:(NSString *)fileName {
   
    NSManagedObjectContext *context = [[NSManagedObjectContext alloc] initWithConcurrencyType:NSPrivateQueueConcurrencyType];
   
    NSManagedObjectModel *model = [NSManagedObjectModel mergedModelFromBundles:nil];
  
    NSPersistentStoreCoordinator *store = [[NSPersistentStoreCoordinator alloc] initWithManagedObjectModel:model];
    
    NSError *error = nil;
   
    NSString *doc = [NSSearchPathForDirectoriesInDomains(NSDocumentDirectory, NSUserDomainMask, YES) lastObject];
    NSString *file = [NSString stringWithFormat:@"%@.sqlite",fileName];
   
    NSString *sqlitePath = [doc stringByAppendingPathComponent:file];
    
    [store addPersistentStoreWithType:NSSQLiteStoreType configuration:nil URL:[NSURL fileURLWithPath:sqlitePath] options:nil error:&error];
    
    context.persistentStoreCoordinator = store;
    
    QAPMCoreDataManager *manager = [self manager];
    manager.context = context;
    
}

+ (id)insertNewObjectForEntityForName:(Class)modelClass {
    QAPMCoreDataManager *manager = [QAPMCoreDataManager manager];
    NSManagedObject  *mgrObject = [NSEntityDescription insertNewObjectForEntityForName:NSStringFromClass(modelClass) inManagedObjectContext: manager.context];
    return mgrObject;
}

+ (BOOL)save:(NSError **)error {
    QAPMCoreDataManager *manager = [QAPMCoreDataManager manager];
    return  [manager.context save:error];
}

+ (NSArray*)executeFetchRequest:(Class)entityClass predicate:(NSPredicate *)predicate error:(NSError**)error {
    QAPMCoreDataManager *manager = [QAPMCoreDataManager manager];
    NSFetchRequest *request = [NSFetchRequest fetchRequestWithEntityName:NSStringFromClass(entityClass)];
    request.predicate = predicate;
    NSArray *emps = [manager.context executeFetchRequest:request error:error];
    return emps;
}

+ (void)executeFetchRequest:(Class)entityClass predicate:(NSPredicate *)predicate complete:(complete)complete {
    QAPMCoreDataManager *manager = [QAPMCoreDataManager manager];
    NSFetchRequest *request = [NSFetchRequest fetchRequestWithEntityName:NSStringFromClass(entityClass)];
    request.predicate = predicate;
    NSError *error = nil;
    NSArray *emps = [manager.context executeFetchRequest:request error:&error];
    if (complete)
    {
        complete(emps,error);
    }
}

+ (void)deleteObject:(NSManagedObject*)object {
    QAPMCoreDataManager *manager = [QAPMCoreDataManager manager];
    [manager.context deleteObject:object];
}

@end
