//
//  APMMainListViewController.m
//  ApmDemo
//
//  Created by wakeen on 2018/4/10.
//  Copyright © 2018年 testcgd. All rights reserved.
//

#import "APMMainListViewController.h"
#import <QAPM/QAPM.h>
#import "APMBlueViewController.h"
#import "APMYellowViewController.h"
#import "APMQQLeakViewController.h"
#import "QAPMConfigViewController.h"
@interface APMMainListViewController () <UITableViewDelegate, UITableViewDataSource>

@property (nonatomic, strong)UITableView *tableView;

@end

@implementation APMMainListViewController {
    NSArray *_titleArray;
    NSArray *_vcArray;
}

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view
    self.view.backgroundColor = [UIColor whiteColor];
    self.title = [[NSUserDefaults standardUserDefaults] objectForKey:@"configname"];
    [self initqapmConfig];
    _titleArray = @[@"QAPMMonitorTypeYellow(VC泄露监控)", @"QAPMMonitorTypeBlue(卡顿与掉帧率)", @"QAPMMonitorTypeSigkill(FOOM与卡死Crash)",@"QAPMMonitorTypeCrash(Crash监控)", @"HTTP监控",@"WKWebView"];
    _vcArray = @[@"APMYellowViewController", @"APMBlueViewController", @"QAPMSigkillViewController",@"QAPMCrashViewController", @"QAPMHTTPViewController",@"QAPMWKWebViewViewController"];
    self.tableView = [[UITableView alloc] initWithFrame:self.view.frame style:UITableViewStylePlain];
    self.tableView.delegate = self;
    self.tableView.dataSource = self;
    self.tableView.backgroundColor = [UIColor whiteColor];
    self.tableView.contentSize = CGSizeMake(self.view.frame.size.width, self.view.frame.size.height);
    self.tableView.rowHeight = 60;
    [self.view addSubview:self.tableView];
    
}

- (void)initqapmConfig {
    
    
    UIBarButtonItem *rightBarItem = [[UIBarButtonItem alloc] initWithTitle:@"设置环境" style:UIBarButtonItemStylePlain target:self action:@selector(leftBarItemAction)];
    self.navigationItem.rightBarButtonItem = rightBarItem;
}

- (void)leftBarItemAction {
    
    QAPMConfigViewController  *configViewController = [QAPMConfigViewController new];
    self.navigationItem.backBarButtonItem = [[UIBarButtonItem alloc]initWithTitle:@"返回" style:UIBarButtonItemStylePlain target:nil action:nil];
    
    [self.navigationController pushViewController:configViewController animated:YES];
}



- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
    return _titleArray.count;
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {
    UITableViewCell *cell = [[UITableViewCell alloc] initWithStyle:UITableViewCellStyleDefault reuseIdentifier:[NSString stringWithFormat:@"UITableViewCellIdentifier%@", @(indexPath.row)]];
    cell.selectionStyle = UITableViewCellSelectionStyleNone;
    cell.textLabel.text = _titleArray[indexPath.row];
    cell.textLabel.font = [UIFont systemFontOfSize:13];
    return cell;
}

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath {

    Class vcClass = NSClassFromString(_vcArray[indexPath.row]);
    UIViewController *vc = [[vcClass alloc] init];
    vc.title = _titleArray[indexPath.row];
    vc.view.backgroundColor = [UIColor whiteColor];
    [self.navigationController pushViewController:vc animated:YES];
}


@end
