//
//  TMFAnalyseManager+DebugTest.m
//  TMFAnalyse
//
//  Created by v_zwtzzhou on 2022/7/1.
//

#import "TMFAnalyseManager+DebugTest.h"
#import "TMFAnalyseEventApplicationStart.h"
#import "TMFAnalyseEventApplicationEnd.h"
#import "TMFAnalyseEventPage.h"

@implementation TMFAnalyseManager (DebugTest)

#define USE_DEBUG_SESSION 0

- (void)testReportAppStart {
    TMFAnalyseEventApplicationStart *eventAppLaunch = [[TMFAnalyseEventApplicationStart alloc] init];
#if USE_DEBUG_SESSION
    eventAppLaunch.sessionID = @"TMFAnalyseManager-DebugTest";
#else
    eventAppLaunch.sessionID = self.analyseSessionID;
#endif
    TMFAnalyseEventItem *eventItem = [[TMFAnalyseEventItem alloc] init];
    eventItem.event = eventAppLaunch;

    [self reportEvent:eventItem];
}
- (void)testReportAppEnd{
    long long currentTimeStamp = (long long)[[NSDate date] timeIntervalSince1970];
    TMFAnalyseEventApplicationEnd *eventAppEnd = [[TMFAnalyseEventApplicationEnd alloc] init];
    eventAppEnd.time = 233;
    eventAppEnd.stime = currentTimeStamp - 233;
    
#if USE_DEBUG_SESSION
    eventAppEnd.sessionID = @"TMFAnalyseManager-DebugTest";
#else
    eventAppEnd.sessionID = self.analyseSessionID;
#endif
    
    TMFAnalyseEventItem *eventItem = [[TMFAnalyseEventItem alloc] init];
    eventItem.event = eventAppEnd;

    [self reportEvent:eventItem];
}
- (void)testReportPage {
    long long currentTime = (long long)[[NSDate date] timeIntervalSince1970];
    TMFAnalyseEventPage *screenEvent = [[TMFAnalyseEventPage alloc] init];
    screenEvent.page = @"tmf-currentPage";
    screenEvent.prevPage = @"tmf-prevPage";
    screenEvent.time = 233;
    screenEvent.stime = currentTime - 233;
    
#if USE_DEBUG_SESSION
    screenEvent.sessionID = @"TMFAnalyseManager-DebugTest";
#else
    screenEvent.sessionID = self.analyseSessionID;
#endif
    
    TMFAnalyseEventItem *eventItem = [[TMFAnalyseEventItem alloc] init];
    eventItem.event = screenEvent;

    [self reportEvent:eventItem];
}

@end
