//
//  TMFJSPatchViewController.m
//  TMFDemo
//
//  Created by mars on 2019/6/26.
//  Copyright © 2019 Tencent. All rights reserved.
//

#import "TMFChristViewController.h"
#import "TMFChristManager.h"
#import "NSString+Localize.h"

@interface TMFChristViewController () <UIAlertViewDelegate>
@property (strong, nonatomic) UIButton      *but1;
@property (strong, nonatomic) UIButton      *but2;
@property (strong, nonatomic) UIButton      *but3;
@property (strong, nonatomic) UIImageView   *imgView;
@property (strong, nonatomic) UILabel       *labView;
@end

@implementation TMFChristViewController

- (void)viewDidLoad {
    [super viewDidLoad];

    // Do any additional setup after loading the view
    
    
    NSLog(@"view center:%@", NSStringFromCGPoint(self.view.center));
    float x                             = self.view.center.x;
    float y                             = self.view.center.y;
    //创建按钮1
    self.but1                           = [UIButton buttonWithType:UIButtonTypeSystem];
    self.but1.frame                     = CGRectMake(0, 0, 160, 30);
    self.but1.center                    = CGPointMake(x, y);
    self.but1.tag                       = 10;
    [self.but1 setTitleColor:[UIColor redColor] forState:UIControlStateNormal];
    [self.but1 setTitle:@"修复前-崩溃" forState:UIControlStateNormal];
    //创建按钮2
    self.but2                           = [UIButton buttonWithType:UIButtonTypeSystem];
    self.but2.frame                     = CGRectMake(0, 0, 160, 30);
    self.but2.center                    = CGPointMake(x, y+50);
    self.but2.tag                       = 20;
    [self.but2 setTitleColor:[UIColor greenColor] forState:UIControlStateNormal];
    [self.but2 setTitle:@"C方法调用" forState:UIControlStateNormal];
    //创建按钮3
    self.but3                           = [UIButton buttonWithType:UIButtonTypeSystem];
    self.but3.frame                     = CGRectMake(0, 0, 160, 30);
    self.but3.center                    = CGPointMake(x, y+100);
    self.but3.tag                       = 30;
    [self.but3 setTitle:@"修复" forState:UIControlStateNormal];
    //创建imageView
    NSBundle *bundle                    = [NSBundle mainBundle];
    NSString *resourcePath              = [bundle resourcePath];
    NSString *filePath                  = [resourcePath stringByAppendingPathComponent:@"error.png"];
    UIImage *image                      = [UIImage imageWithContentsOfFile:filePath];
    self.imgView                        = [[UIImageView alloc]initWithImage:image];
    self.imgView.center                 = CGPointMake(x, 250);
    //创建label
    self.labView                        = [[UILabel alloc]init];
    self.labView.frame                  = CGRectMake(0, 0, 160, 30);
    self.labView.center                 = CGPointMake(x, y+200);
    self.labView.font                   = [UIFont systemFontOfSize:16.0];
    self.labView.textColor              = [UIColor blackColor];
    self.labView.textAlignment          = NSTextAlignmentCenter;
    NSString *appVersion                = [[NSBundle mainBundle] objectForInfoDictionaryKey:@"CFBundleShortVersionString"];
    self.labView.text                   = [NSString stringWithFormat:[@"app version:%@" localizedString], appVersion];
    
        
    //添加边框
    self.imgView.layer.shadowColor      = [UIColor blackColor].CGColor;
    self.imgView.layer.shadowOpacity    = 0.5;
    self.imgView.layer.shadowRadius     = 10.0;
    
    [self.but1 addTarget:self action:@selector(butclick:) forControlEvents:UIControlEventTouchUpInside];
    [self.but2 addTarget:self action:@selector(butclick:) forControlEvents:UIControlEventTouchUpInside];
    [self.but3 addTarget:self action:@selector(butclick:) forControlEvents:UIControlEventTouchUpInside];
    [self.view addSubview:self.but1];
//    [self.view addSubview:self.but2];
//    [self.view addSubview:self.but3];
    [self.view addSubview:self.imgView];
    [self.view addSubview:self.labView];
    
    self.view.backgroundColor = [UIColor whiteColor];
}
-(void)butclick:(UIButton*)button {
    if (10 == button.tag) {
        [self testFix];
    } else if (20 == button.tag) {
        callCFunc1();
    } else if (30 == button.tag) {
        [[TMFChristManager sharedManager] checkForUpdates];
    }
}

- (void)testFix{
    UIAlertController *alert = [UIAlertController alertControllerWithTitle:@"点击OK测试崩溃/修复" message:nil preferredStyle:UIAlertControllerStyleAlert];
    [alert addAction:[UIAlertAction actionWithTitle:@"OK" style:UIAlertActionStyleDefault handler:^(UIAlertAction * _Nonnull action) {
        [self loadfixMethod1];
    }]];
    [alert addAction:[UIAlertAction actionWithTitle:@"Cancel" style:UIAlertActionStyleCancel handler:nil]];
    [[UIApplication sharedApplication].delegate.window.rootViewController presentViewController:alert animated:YES completion:nil];
}

-(void)loadfixMethod1{
    NSMutableDictionary *dict = [NSMutableDictionary dictionary];
    dict[nil] = @"";
}


//C方法
void callCFunc1() {
    showAlertTitle(@"修复前-调用C方法1");
}
void callCFunc12() {
    showAlertTitle(@"修复后-调用C方法2");
}
void showAlertTitle(NSString *title) {
    UIAlertController *alert = [UIAlertController alertControllerWithTitle:title message:nil preferredStyle:UIAlertControllerStyleAlert];
    [alert addAction:[UIAlertAction actionWithTitle:@"OK" style:UIAlertActionStyleDefault handler:nil]];
    [[UIApplication sharedApplication].delegate.window.rootViewController presentViewController:alert animated:YES completion:nil];
}




#pragma mark - DEBUG
//拷贝图片文件到Library目录下,测试时使用
+(void)copyFileToLibrary {
    NSBundle *bundle         = [NSBundle mainBundle];
    NSString *resourcePath   = [bundle resourcePath];
    NSString *srcPath        = [resourcePath stringByAppendingPathComponent:@"success.png"];
    NSString *dstPath        = [NSString stringWithFormat:@"%@/tmfOPTest",[TMFChristManager sharedManager].resourceDirectory];
    if (![[NSFileManager defaultManager] fileExistsAtPath:dstPath]) {
        [[NSFileManager defaultManager] createDirectoryAtPath:dstPath withIntermediateDirectories:YES attributes:nil error:nil];
    }
    [[NSFileManager defaultManager] copyItemAtPath:srcPath toPath:[NSString stringWithFormat:@"%@/success.png",dstPath] error:nil];
}

@end
