//
//  MQQZxingViewController.h
//  ZXingWidget
//
//  Created by Kloudz Liang on 12-12-25.
//
//

#include <UIKit/UIKit.h>
#include <AudioToolbox/AudioToolbox.h>
#import <AVFoundation/AVFoundation.h>
#import "MQQCodeScannerOverlayViewBase.h"

@protocol MQQCodeScannerControllerDelegate;

#pragma mark - MQQCodeScannerController

//#if !TARGET_IPHONE_SIMULATOR
#define HAS_AVFF 1
//#endif

@interface MQQRCodeScannerController : UIViewController <MQQCodeScannerOverlayViewBaseDelegate, UINavigationControllerDelegate
#if HAS_AVFF
, AVCaptureVideoDataOutputSampleBufferDelegate
#endif
> {
    SystemSoundID _beepSound;
    BOOL _wasCancelled;
    BOOL _startsRunningWhenAppeared; // 在viewDidAppear时是否startRunning，默认为YES。如果设置为NO，只生效一次。
    BOOL _decoding;
}

#if HAS_AVFF
@property(nonatomic,retain) AVCaptureSession *captureSession;
@property(nonatomic,retain) AVCaptureVideoPreviewLayer *prevLayer;
#endif
@property(nonatomic,assign) id<MQQCodeScannerControllerDelegate> delegate;
@property(nonatomic,retain) NSURL *soundToPlay;
@property(nonatomic,retain) MQQCodeScannerOverlayViewBase *overlayView;

@property(nonatomic,retain) UILabel *resultLabel;

- (void)setTorch:(BOOL)status;
- (BOOL)torchIsOn;

- (void)continueScan;
- (void)startRunning;
- (void)stopRunning;

- (void)didScanResult:(NSString *)resultString;
- (void)didCancel;

@end

#pragma mark - MQQCodeScannerController Delegate

@protocol MQQCodeScannerControllerDelegate <NSObject>
@optional
- (void)codeScannerController:(MQQRCodeScannerController *)controller didScanResult:(NSString *)result;
- (void)codeScannerControllerDidCancel:(MQQRCodeScannerController *)controller;
@end


