//
//  EnvironmentInfoViewController.m
//  TMF-ICDP-Demo
//
//  Created by zhaozhang on 2020/4/27.
//  Copyright © 2020 Tencent. All rights reserved.
//

#import "TMFICDPEnvirInfoController.h"
#import "ICDPManager.h"
#import <Masonry.h>

#define UIColorFromRGB(r,g,b) [UIColor colorWithRed:(r)/255.0 green:(g)/255.0 blue:(b)/255.0 alpha:1.0]
@interface TMFICDPEnvirInfoController ()<UITableViewDelegate,UITableViewDataSource>
@property (nonatomic, strong)UITableView *tableView;
@property (nonatomic, copy) NSArray *titleArr;
@property (nonatomic, strong)NSMutableArray *contentArr;
@property (nonatomic, copy) NSArray *keyArr;
@property (nonatomic, strong)UIBarButtonItem *rightItem;
@property (nonatomic, assign) BOOL isEdit;
@property (nonatomic, weak)UITextField *tmpTextField;
@property (nonatomic, strong)UILabel *envLabel;
@property (nonatomic, strong)UIView *envView;
@property (nonatomic, strong)UILabel *envContent;
@property (nonatomic, copy) NSString *envStr;
@property (nonatomic, strong)UILabel *envContentLabel;
@end

@implementation TMFICDPEnvirInfoController

- (void)viewDidLoad {
    [super viewDidLoad];
    [self.view addSubview:self.tableView];
    self.view.backgroundColor = UIColorFromRGB(246, 247, 249);
    _titleArr = @[@"当前环境"];
    _envStr = [[NSUserDefaults standardUserDefaults] valueForKey:@"env"];
    UIControl *view1 = [UIControl new];
    view1.backgroundColor = [UIColor whiteColor];
    [view1 addTarget:self action:@selector(showAction) forControlEvents:UIControlEventTouchUpInside];
    [self.view addSubview:view1];
    [view1 mas_makeConstraints:^(MASConstraintMaker *make) {
        make.right.offset(0);
        make.height.offset(49);
        if (@available(iOS 11.0,*)) {
            make.top.equalTo(self.view.mas_safeAreaLayoutGuideTop).offset(20);
        } else {
            make.top.equalTo(self.view.mas_top).offset(20);
        }
        make.left.equalTo(self.view);
    }];
    
    UILabel *label1= [UILabel new];
    label1.text = @"当前环境";
    label1.font = [UIFont systemFontOfSize:14];
    [view1 addSubview:label1];
    [label1 mas_makeConstraints:^(MASConstraintMaker *make) {
        make.left.offset(15);
        make.centerY.equalTo(view1.mas_centerY);
    }];
    _envLabel = [UILabel new];
    _envLabel.text = _envStr.integerValue == 0?@"测试环境":@"POC环境";
    _envLabel.font = [UIFont systemFontOfSize:14];
    _envLabel.textColor = UIColorFromRGB(136, 136, 136);
    [view1 addSubview:_envLabel];
    [_envLabel mas_makeConstraints:^(MASConstraintMaker *make) {
        make.left.offset(91);
        make.centerY.equalTo(view1.mas_centerY);
    }];
    
    UIImageView *imageView = [UIImageView new];
    imageView.image = [UIImage imageNamed:@"下拉"];
    [view1 addSubview:imageView];
    [imageView mas_makeConstraints:^(MASConstraintMaker *make) {
        make.right.offset(-15);
        make.width.and.height.offset(12);
        make.centerY.equalTo(view1.mas_centerY);
    }];
    
    UIView *view2 = [UIView new];
    [self.view addSubview:view2];
    [view2 mas_makeConstraints:^(MASConstraintMaker *make) {
         make.top.equalTo(view1.mas_bottom).offset(30);
         make.left.offset(0);
         make.right.offset(0);
         make.height.offset(100);
     }];
//    for (NSInteger i = 0; i<2; i++) {
         UIView *subView = [UIView new];
         subView.backgroundColor = [UIColor whiteColor];
         [view2 addSubview:subView];
         [subView mas_makeConstraints:^(MASConstraintMaker *make) {
             make.right.offset(0);
             make.height.offset(100);
             make.top.equalTo(view2.mas_top).offset(15);
             make.left.offset(0);
         }];
         _envContentLabel= [UILabel new];
 
         _envContentLabel.attributedText = [self changeStr];
         _envContentLabel.numberOfLines = 0;
         _envContentLabel.font = [UIFont systemFontOfSize:14];
         [subView addSubview:_envContentLabel];
         [_envContentLabel mas_makeConstraints:^(MASConstraintMaker *make) {
             make.left.offset(15);
             make.right.offset(-15);
             make.height.offset(100);
             make.centerY.equalTo(subView.mas_centerY);
         }];
//     }
    
    _envView = [UIView new];
    _envView.backgroundColor = [UIColor whiteColor];
    _envView.hidden = YES;
    [self.view addSubview:_envView];
    [_envView mas_makeConstraints:^(MASConstraintMaker *make) {
        make.top.equalTo(view1.mas_bottom).offset(1);
        make.left.offset(0);
        make.right.offset(0);
        make.height.offset(99);
    }];
    for (NSInteger i = 0; i<2; i++) {
        UIControl *control = [UIControl new];
        [control addTarget:self action:@selector(choseAction:) forControlEvents:UIControlEventTouchUpInside];
        control.tag = i;
        [_envView addSubview:control];
        [control mas_makeConstraints:^(MASConstraintMaker *make) {
            make.right.offset(0);
            make.height.offset(49);
            make.top.equalTo(_envView.mas_top).offset(50*i);
            make.left.offset(0);
        }];
        if (i==0) {
            UIView *splitView = [UIView new];
            splitView.backgroundColor = UIColorFromRGB(246, 247, 249);
            [_envView addSubview:splitView];
            [splitView mas_makeConstraints:^(MASConstraintMaker *make) {
                make.height.offset(1);
                make.left.and.right.offset(0);
                make.top.offset(49);
            }];
        }
        UILabel *label= [UILabel new];
        label.text = i==0?@"测试环境":@"POC环境";
        label.font = [UIFont systemFontOfSize:14];
        [control addSubview:label];
        [label mas_makeConstraints:^(MASConstraintMaker *make) {
            make.centerX.equalTo(control.mas_centerX);
            make.centerY.equalTo(control.mas_centerY);
        }];
    }
    
    self.view.backgroundColor = UIColorFromRGB(246, 247, 249);
    
}

- (NSMutableAttributedString *)changeStr{
    NSString *str = [[[NSUserDefaults standardUserDefaults] valueForKey:@"env"] integerValue] == 0?@"测试环境  http://193.112.44.156:18080\n上报地址  http://134.175.85.207:30281/athena/":@"POC环境  http://tmf.qq.com:30028/\n上报地址  http://140.143.13.7:30281/athena/";
     NSMutableAttributedString *attributedStr = [[NSMutableAttributedString alloc] initWithString:str];
     NSMutableParagraphStyle *paragraphStyle = [[NSMutableParagraphStyle alloc] init];
     paragraphStyle.lineSpacing = 20; // 设置行间距
     paragraphStyle.alignment = NSTextAlignmentJustified; //设置两端对齐显示
     [attributedStr addAttribute:NSParagraphStyleAttributeName value:paragraphStyle range:NSMakeRange(0, attributedStr.length)];
    return attributedStr;
}

- (void)showAction {
    _envView.hidden = !_envView.hidden;
}

- (void)choseAction:(UIControl*) sender{
    [[NSUserDefaults standardUserDefaults] setValue:@(sender.tag) forKey:@"env"];
    [[NSUserDefaults standardUserDefaults] synchronize];
    _envLabel.text = sender.tag==0?@"测试环境":@"POC环境";
    _envContentLabel.attributedText = [self changeStr];
    if (sender.tag == 0) {
        [ICDPManager sharedManager].adHost = @"http://193.112.44.156:18080";
    } else {
        [ICDPManager sharedManager].adHost = @"http://tmf.qq.com:30028/";
    }
    _envView.hidden = YES;
}

- (void)editOrSaveAction {
    _isEdit = !_isEdit;
    _rightItem.title = _isEdit?@"保存":@"编辑";
    _tableView.userInteractionEnabled = _isEdit;
    if (_isEdit) {
        [_tmpTextField becomeFirstResponder];
    } else {
        [[NSUserDefaults standardUserDefaults] setValue:_contentArr.firstObject forKey:@"currentUrl"];
        [[NSUserDefaults standardUserDefaults] synchronize];
        UIAlertController *alert = [UIAlertController alertControllerWithTitle:@"保存成功" message:nil preferredStyle:UIAlertControllerStyleAlert];
         [self presentViewController:alert animated:YES completion:nil];
         [self performSelector:@selector(dismiss:) withObject:alert afterDelay:2.0];
    }
   
}

- (void)dismiss:(UIAlertController *)alert{
    [alert dismissViewControllerAnimated:YES completion:nil];
}

@end
