//
//  SettingNavViewController.m
//  TMF-ICDP-Demo
//
//  Created by zhaozhang on 2020/3/30.
//  Copyright © 2020 Tencent. All rights reserved.
//

#import "TMFICDPSettingNavController.h"
#import "TMFICDPSettingInfoController.h"
#import "TMFICDPGrayInfoController.h"
#import "TMFICDPEnvirInfoController.h"
#import <Masonry.h>
#import "NSString+Localize.h"
#define UIColorFromRGB(r,g,b) [UIColor colorWithRed:(r)/255.0 green:(g)/255.0 blue:(b)/255.0 alpha:1.0]
@interface TMFICDPSettingNavController ()
@property (nonatomic, copy) NSArray *titleArr;
@property (nonatomic, copy) NSArray *vcNameArr;
@end

@implementation TMFICDPSettingNavController

- (void)viewDidLoad {
    [super viewDidLoad];
    self.title = [@"parameter setting" localizedString];
    _titleArr = @[[@"set grayscale info" localizedString],[@"set booth info" localizedString],[@"env setting" localizedString]];
    _vcNameArr = @[@"TMFICDPGrayInfoController",@"TMFICDPSettingInfoController",@"TMFICDPSettingsController"];
    self.view.backgroundColor = UIColorFromRGB(246, 247, 249);
    [self creatUI];
}

- (void)creatUI {
   
       for (NSInteger i = 0; i< _titleArr.count; i++) {
           UIControl *control = [UIControl new];
           [control addTarget:self action:@selector(enterSettingInfo:) forControlEvents:UIControlEventTouchUpInside];
           control.tag = i;
           [self.view addSubview:control];
           control.backgroundColor = [UIColor whiteColor];
           [control mas_updateConstraints:^(MASConstraintMaker *make) {
               make.left.equalTo(self.view);
               make.right.equalTo(self.view);
               make.height.offset(48);
               if (@available(iOS 11.0,*)) {
                   make.top.equalTo(self.view.mas_safeAreaLayoutGuideTop).offset(15+49*i);
                 } else {
                   make.top.equalTo(self.view.mas_top).offset(15+60*i);
                 }
           }];
           UILabel *title = [UILabel new];
           title.text = _titleArr[i];
           title.textColor = UIColorFromRGB(51, 51, 51);
           title.font = [UIFont systemFontOfSize:14];
           [control addSubview:title];
           [title mas_makeConstraints:^(MASConstraintMaker *make) {
               make.centerY.equalTo(control.mas_centerY);
               make.left.offset(15);
           }];
           
           UIImageView *imageView = [UIImageView new];
           imageView.image = [UIImage imageNamed:@"箭头"];
           [control addSubview:imageView];
           [imageView mas_makeConstraints:^(MASConstraintMaker *make) {
               make.height.and.width.offset(16);
               make.right.offset(-15);
               make.centerY.equalTo(control.mas_centerY);
           }];
       }
}

- (void)enterSettingInfo:(UIControl *)sender {
    [self showViewControllerWithVCname:_vcNameArr[sender.tag] title:_titleArr[sender.tag]];
}

- (void)showViewControllerWithVCname:(NSString *)vcName title:(NSString *)title {
    
    if ([vcName isEqualToString:@"TMFICDPSettingsController"]) {
        [self.navigationController pushViewController:[[UIStoryboard storyboardWithName:@"ICDP" bundle:nil] instantiateViewControllerWithIdentifier:@"TMFICDPSettingsController"] animated:YES];
        return;
    }
    
    Class vcCls = NSClassFromString(vcName);
    if (vcCls) {
        UIViewController *vc = [vcCls new];
        vc.title = title;
        [self.navigationController pushViewController:vc animated:YES];
    }
    
}

@end
