//
//  SettingView.m
//  TMF-ICDP-Demo
//
//  Created by zhaozhang on 2019/12/18.
//  Copyright © 2019 Tencent. All rights reserved.
//

#import "TMFICDPSettingView.h"
#import <Masonry.h>
@interface TMFICDPSettingView ()<UITextFieldDelegate>
@property (nonatomic,strong)NSMutableDictionary *setDictM;
@property (nonatomic,copy) NSArray *titleArr;
@property (nonatomic,copy) NSArray *contentArr;
@end

@implementation TMFICDPSettingView

- (instancetype)initWithFrame:(CGRect)frame
{
    self = [super initWithFrame:frame];
    if (self) {
        self.backgroundColor = [[UIColor whiteColor] colorWithAlphaComponent:0.9];
        [self didInitialize];
    }
    return self;
}

- (void)didInitialize {
    _setDictM = [NSMutableDictionary new];
    _titleArr = @[@"公告ID",@"单图ID",@"轮播ID",@"闪屏ID"];
    _contentArr = @[@"gonggaotest",@"testsingle001",@"testlunbo",@"shanpingtest",];
    [_titleArr enumerateObjectsUsingBlock:^(id  _Nonnull obj, NSUInteger idx, BOOL * _Nonnull stop) {
        [_setDictM setValue:_contentArr[idx] forKey:obj];
    }];
    for (NSInteger i = 0; i<_titleArr.count; i++) {
        UIView *infoView = [UIView new];
        [self addSubview:infoView];
        [infoView mas_makeConstraints:^(MASConstraintMaker *make) {
            make.height.offset(50);
            make.width.equalTo(self);
            if (@available(iOS 11.0,*)) {
                make.top.equalTo(self.mas_safeAreaLayoutGuideTop).offset(50+70*i);
            } else {
                make.top.equalTo(self.mas_top).offset(50+70*i);
            }
            make.left.equalTo(self);
        }];
        UILabel *titleLabel = [UILabel new];
        titleLabel.text = _titleArr[i];
        [infoView addSubview:titleLabel];
        [titleLabel mas_makeConstraints:^(MASConstraintMaker *make) {
            make.centerY.equalTo(infoView);
            make.left.equalTo(infoView.mas_left).offset(20);
            make.width.offset(70);
        }];
        UITextField *textField = [UITextField new];
        textField.tag = i;
        [infoView addSubview:textField];
        [textField mas_makeConstraints:^(MASConstraintMaker *make) {
            make.left.equalTo(titleLabel.mas_right).offset(10);
            make.centerY.equalTo(titleLabel.mas_centerY);
            make.right.equalTo(infoView.mas_right).offset(-10);
            make.height.offset(36);
        }];
        textField.text = _contentArr[i];
        textField.layer.borderWidth = 1;
        textField.layer.cornerRadius = 5;
        textField.font = [UIFont systemFontOfSize:13];
        textField.leftView = [[UIView alloc] initWithFrame:CGRectMake(0, 0, 10, 36)];
        textField.leftViewMode = UITextFieldViewModeAlways;
        textField.delegate = self;
    }
    UIButton *confirmBtn = [UIButton buttonWithType:UIButtonTypeSystem];
    [confirmBtn addTarget:self action:@selector(confirmAction) forControlEvents:UIControlEventTouchUpInside];
    [confirmBtn setTitle:@"确认" forState:UIControlStateNormal];
    confirmBtn.backgroundColor = [UIColor blueColor];
    [confirmBtn setTitleColor:[UIColor whiteColor] forState:UIControlStateNormal];
    [self addSubview:confirmBtn];
    [confirmBtn mas_makeConstraints:^(MASConstraintMaker *make) {
        make.centerX.equalTo(self);
        make.bottom.offset(-100);
        make.height.offset(40);
        make.width.offset(120);
    }];
}

- (void)confirmAction {
    if (self.confirmBlock) {
        self.confirmBlock(_setDictM);
        [self removeFromSuperview];
    }
}
- (void)textFieldDidEndEditing:(UITextField *)textField {
    [_setDictM setValue:textField.text forKey:_titleArr[textField.tag]];
}

- (BOOL)textFieldShouldReturn:(UITextField *)textField {
    [textField resignFirstResponder];
    return YES;
}


@end
