//
//  OrtherADViewController.m
//  ICDPDemo
//
//  Created by zhaozhang on 2019/11/27.
//  Copyright © 2019 Tencent. All rights reserved.
//

#import "TMFICDPOtherADViewController.h"
#import <Masonry.h>
#import "ICDPADView.h"
#import "UIWebViewController.h"
//#import "SettingView.h"
#import "ICDPManager.h"
#import "TMFICDPSettingInfoData.h"
#import "ICDPSplashView.h"

typedef void(^ConfirmBlock)(NSMutableDictionary *settingDict);

@interface SettingView : UIView<UITextFieldDelegate>
@property (nonatomic,copy)ConfirmBlock confirmBlock;
@property (nonatomic,strong)NSMutableDictionary *setDictM;
@property (nonatomic,copy) NSArray *titleArr;
@property (nonatomic,copy) NSArray *contentArr;
@end
@implementation SettingView

- (instancetype)initWithFrame:(CGRect)frame
{
    self = [super initWithFrame:frame];
    if (self) {
        self.backgroundColor = [[UIColor whiteColor] colorWithAlphaComponent:0.9];
        [self didInitialize];
    }
    return self;
}

- (void)didInitialize {
    _setDictM = [NSMutableDictionary new];
    _titleArr = @[@"公告ID",@"单图ID",@"轮播ID",@"闪屏ID"];
    _contentArr = @[@"gonggaotest",@"testsingle001",@"testlunbo",@"shanpingtest",];
    [_titleArr enumerateObjectsUsingBlock:^(id  _Nonnull obj, NSUInteger idx, BOOL * _Nonnull stop) {
        [_setDictM setValue:_contentArr[idx] forKey:obj];
    }];
    for (NSInteger i = 0; i<_titleArr.count; i++) {
        UIView *infoView = [UIView new];
        [self addSubview:infoView];
        [infoView mas_makeConstraints:^(MASConstraintMaker *make) {
            make.height.offset(50);
            make.width.equalTo(self);
            if (@available(iOS 11.0,*)) {
                make.top.equalTo(self.mas_safeAreaLayoutGuideTop).offset(50+70*i);
            } else {
                make.top.equalTo(self.mas_top).offset(50+70*i);
            }
            make.left.equalTo(self);
        }];
        UILabel *titleLabel = [UILabel new];
        titleLabel.text = _titleArr[i];
        [infoView addSubview:titleLabel];
        [titleLabel mas_makeConstraints:^(MASConstraintMaker *make) {
            make.centerY.equalTo(infoView);
            make.left.equalTo(infoView.mas_left).offset(20);
            make.width.offset(70);
        }];
        UITextField *textField = [UITextField new];
        textField.tag = i;
        [infoView addSubview:textField];
        [textField mas_makeConstraints:^(MASConstraintMaker *make) {
            make.left.equalTo(titleLabel.mas_right).offset(10);
            make.centerY.equalTo(titleLabel.mas_centerY);
            make.right.equalTo(infoView.mas_right).offset(-10);
            make.height.offset(36);
        }];
        textField.text = _contentArr[i];
        textField.layer.borderWidth = 1;
        textField.layer.cornerRadius = 5;
        textField.font = [UIFont systemFontOfSize:13];
        textField.leftView = [[UIView alloc] initWithFrame:CGRectMake(0, 0, 10, 36)];
        textField.leftViewMode = UITextFieldViewModeAlways;
        textField.delegate = self;
    }
    UIButton *confirmBtn = [UIButton buttonWithType:UIButtonTypeSystem];
    [confirmBtn addTarget:self action:@selector(confirmAction) forControlEvents:UIControlEventTouchUpInside];
    [confirmBtn setTitle:@"确认" forState:UIControlStateNormal];
    confirmBtn.backgroundColor = [UIColor blueColor];
    [confirmBtn setTitleColor:[UIColor whiteColor] forState:UIControlStateNormal];
    [self addSubview:confirmBtn];
    [confirmBtn mas_makeConstraints:^(MASConstraintMaker *make) {
        make.centerX.equalTo(self);
        make.bottom.offset(-100);
        make.height.offset(40);
        make.width.offset(120);
    }];
}

- (void)confirmAction {
    if (self.confirmBlock) {
        self.confirmBlock(_setDictM);
        if (_setDictM[@"闪屏ID"]&& ![_setDictM[@"闪屏ID"] isEqualToString:@""]) {

        }
        [self removeFromSuperview];
    }
}
- (void)textFieldDidEndEditing:(UITextField *)textField {
    [_setDictM setValue:textField.text forKey:_titleArr[textField.tag]];
}

- (BOOL)textFieldShouldReturn:(UITextField *)textField {
    [textField resignFirstResponder];
    return YES;
}


@end

@interface OtherADViewController ()<UIScrollViewDelegate,ICDPManagerDelegate>
@property (nonatomic, strong)UIScrollView *contentScrollView;
@property (nonatomic, strong)UIView *containerView;
@property (nonatomic, strong)UIView *carouselView;
@property (nonatomic, strong)UIView *noticeView;
@property (nonatomic, strong)UIView *singleStandView;
@property (nonatomic, strong)UIView *imageAndLabelStandView;
@property (nonatomic, strong)UIView *abreastStandView;
@property (nonatomic, strong)SettingView *settingView;
@property (nonatomic, strong)NSMutableDictionary *settingDictM;
@property (nonatomic, strong)ICDPADView *tmp;
@property (nonatomic, strong)UIScrollView *scrollView;
@end

@implementation OtherADViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    _settingDictM = [NSMutableDictionary new];
    _settingDictM[@"公告ID"] = @"gonggaotest";
    _settingDictM[@"轮播ID"] = @"testlunbo";
    _settingDictM[@"单图ID"] = @"testsingle001";
    [self creatUI];
    TMFICDPSettingInfoData *settingInfoData = [TMFICDPSettingInfoData sharedInstance];
    NSArray *codeArr = @[settingInfoData.noticeId,settingInfoData.carouselId,settingInfoData.singleId,settingInfoData.popupId,settingInfoData.listId];
    [ICDPManager addObserver:self forViewIDs:codeArr forDataIDs:nil];
    self.view.backgroundColor = [UIColor whiteColor];

    // Do any additional setup after loading the view.
}

- (void)creatUI {
    _scrollView = [UIScrollView new];
    _scrollView.backgroundColor = [UIColor whiteColor];
    _scrollView.showsHorizontalScrollIndicator = NO;
    [self.view addSubview:_scrollView];
    [_scrollView mas_updateConstraints:^(MASConstraintMaker *make) {
        if (@available(iOS 11.0,*)) {
            make.top.equalTo(self.view.mas_safeAreaLayoutGuideTop).offset(0);
        } else
            make.top.offset(0);
            make.left.offset(0);
            make.right.offset(0);
            make.bottom.offset(0);
    }];
    UIView *containerView = [UIView new];
    [_scrollView addSubview:containerView];
    [containerView mas_makeConstraints:^(MASConstraintMaker *make) {
          make.edges.equalTo(self.scrollView);
          make.width.equalTo(_scrollView);
    }];
    _carouselView = [UIView new];
    [containerView addSubview:_carouselView];
    [_carouselView mas_makeConstraints:^(MASConstraintMaker *make) {
           make.top.offset(20);
           make.left.offset(0);
           make.right.offset(0);
           make.height.offset(150);
    }];
    _noticeView = [UIView new];
    [containerView addSubview:_noticeView];
    [_noticeView mas_makeConstraints:^(MASConstraintMaker *make) {
        make.top.equalTo(_carouselView.mas_bottom).offset(20);
        make.left.offset(0);
        make.height.offset(20);
        make.width.equalTo(self.view);
    }];
    _singleStandView = [UIView new];
   [containerView addSubview:_singleStandView];
   [_singleStandView mas_makeConstraints:^(MASConstraintMaker *make) {
        make.top.equalTo(_noticeView.mas_bottom).offset(20);
        make.left.offset(0);
        make.height.offset(100);
        make.right.offset(0);
    }];
    _imageAndLabelStandView = [UIView new];
    [containerView addSubview:_imageAndLabelStandView];
    [_imageAndLabelStandView mas_makeConstraints:^(MASConstraintMaker *make) {
        make.top.equalTo(_singleStandView.mas_bottom).offset(30);
        make.left.offset(0);
        make.height.offset(73);
        make.right.offset(0);
        make.bottom.offset(0);
    }];
}

- (void)adViewDidFinishLoading:(ICDPADView *)adView identifier:(NSString *)identifier {
    if (!adView) return;
    ICDPADStyle style = adView.adStyle;
      switch (style) {
          case ICDPADStyleSingle:
          {
              [_singleStandView mas_updateConstraints:^(MASConstraintMaker *make) {
                 make.height.offset(adView.frame.size.height);
              }];
              [_singleStandView addSubview:adView];
          }
              break;
          case ICDPADStyleNotice:
          {
              [_noticeView mas_updateConstraints:^(MASConstraintMaker *make) {
                 make.height.offset(20);
              }];
              [_noticeView addSubview:adView];
              __weak typeof(self) weakSelf = self;
              __weak ICDPADView* weakTmpView = adView;
              adView.closeNoticeBlock = ^{
                  weakTmpView.hidden = YES;
                  [weakSelf.noticeView mas_updateConstraints:^(MASConstraintMaker *make) {
                      make.height.offset(0);
                  }];
              };
          }
              break;
          case ICDPADStyleCarousel:
          {
              [_carouselView mas_updateConstraints:^(MASConstraintMaker *make) {
                 make.height.offset(adView.frame.size.height);
              }];
              [_carouselView addSubview:adView];
          }
              break;
          case ICDPADStyleImageAndText:
          {
              [_imageAndLabelStandView mas_updateConstraints:^(MASConstraintMaker *make) {
                  make.height.offset(adView.frame.size.height);
              }];
              [_imageAndLabelStandView addSubview:adView];
          }
              break;
          case ICDPADStylePopup:
          {
              [adView popupWithComplete:nil];
          }
              break;
          default:
              break;
      }
}


-(void)dealloc {
    [ICDPManager removeObserver:self];
}

/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

@end
