//
//  POCNavViewController.m
//  TMF-ICDP-Demo
//
//  Created by zhaozhang on 2020/3/18.
//  Copyright © 2020 Tencent. All rights reserved.
//

#import "TMFICDPPOCNavController.h"
#import <Masonry.h>
#import "TMFICDPStandController.h"
#import "TMFICDPSettingNavController.h"
#import "TMFICDPSettingInfoData.h"
#import "TMFICDPSplashController.h"
#import "TMFICDPOtherADViewController.h"
#import "NSString+Localize.h"
#define UIColorFromRGB(r,g,b) [UIColor colorWithRed:(r)/255.0 green:(g)/255.0 blue:(b)/255.0 alpha:1.0]
@interface TMFICDPPOCNavController ()
@property (nonatomic, copy) NSArray *codeArr;
@property (nonatomic, copy) NSArray *titleArr;
@end

@implementation TMFICDPPOCNavController

- (void)viewDidLoad {
    [super viewDidLoad];
    self.view.backgroundColor = UIColorFromRGB(246, 247, 249);
    self.title = @"APP ICDP demo";
    _titleArr = @[[@"announcement component" localizedString],[@"single image component" localizedString],[@"carousel component" localizedString],[@"popup component" localizedString],[@"list component" localizedString],[@"splash component" localizedString],[@"cut screen component" localizedString]];
    [self creatUI];
}

- (void)viewDidAppear:(BOOL)animated {
    [super viewDidAppear:animated];
    TMFICDPSettingInfoData *settingInfoData = [TMFICDPSettingInfoData sharedInstance];
    _codeArr = @[
        settingInfoData.noticeId,
        settingInfoData.singleId,
        settingInfoData.carouselId,
        settingInfoData.popupId,
        settingInfoData.listId,
        settingInfoData.splashId,
        settingInfoData.cutScreenID
    ];
}

- (void)creatUI {
    UIView *topView = [UIView new];
    topView.backgroundColor = UIColor.lightGrayColor;
    [self.view addSubview:topView];
    [topView mas_makeConstraints:^(MASConstraintMaker *make) {
        make.height.offset(94);
        make.width.equalTo(self.view);
        if (@available(iOS 11.0,*)) {
          make.top.equalTo(self.view.mas_safeAreaLayoutGuideTop).offset(0);
        } else {
          make.top.equalTo(self.view.mas_top).offset(0);
        }
        make.left.equalTo(self.view);
    }];
    
    UIImageView *iconImgView = [UIImageView new];
    iconImgView.image = [UIImage imageNamed:@"ic_info_tips"];
    iconImgView.contentMode =  UIViewContentModeScaleAspectFit;
    [topView addSubview:iconImgView];
    [iconImgView mas_makeConstraints:^(MASConstraintMaker *make) {
        make.left.offset(15);
        make.top.offset(18);
        make.width.and.height.offset(18);
    }];
    UILabel *contentLabel = [UILabel new];
    contentLabel.text = [@"ICDP desc" localizedString];
    contentLabel.font = [UIFont fontWithName:@"PingFangSC-Regular" size:14];;
    contentLabel.textColor = [UIColor redColor];
    contentLabel.numberOfLines = 0;
    [topView addSubview:contentLabel];
    [contentLabel mas_makeConstraints:^(MASConstraintMaker *make) {
        make.left.offset(43);
        make.right.offset(-24);
        make.top.offset(13);
        make.bottom.offset(-15);
    }];
    NSArray *btnTitleArr = @[[@"online advertising page" localizedString],[@"parameter setting" localizedString]];
    for (NSInteger i = 0; i<btnTitleArr.count; i++) {
         UIControl *control = [UIControl new];
         control.tag = i;
         control.backgroundColor = [UIColor whiteColor];
          [self.view addSubview:control];
          [control mas_updateConstraints:^(MASConstraintMaker *make) {
              make.left.offset(0);
              make.right.equalTo(topView);
              make.height.offset(48);
              make.top.equalTo(topView.mas_bottom).offset(49*i);
          }];
        [control addTarget:self action:@selector(clickAction:) forControlEvents:UIControlEventTouchUpInside];
          UILabel *title = [UILabel new];
          title.text = btnTitleArr[i];
          title.textColor = [UIColor blackColor];
          title.font = [UIFont systemFontOfSize:14];
          [control addSubview:title];
          [title mas_makeConstraints:^(MASConstraintMaker *make) {
              make.centerY.equalTo(control.mas_centerY);
              make.left.offset(15);
          }];
          
          UIImageView *imageView = [UIImageView new];
          imageView.image = [UIImage imageNamed:@"箭头"];
          [control addSubview:imageView];
          [imageView mas_makeConstraints:^(MASConstraintMaker *make) {
              make.height.and.width.offset(16);
              make.right.offset(-15);
              make.centerY.equalTo(control.mas_centerY);
          }];
    }
    NSArray *titleArr = @[[@"announcement component" localizedString],[@"single image component" localizedString],[@"carousel component" localizedString],[@"popup component" localizedString],[@"list component" localizedString],[@"splash component" localizedString],[@"cut screen component" localizedString]];
    for (NSInteger i = 0; i< titleArr.count; i++) {
        UIControl *control = [UIControl new];
        [control addTarget:self action:@selector(toStandViewVC:) forControlEvents:UIControlEventTouchUpInside];
        control.tag = i;
        [self.view addSubview:control];
        control.backgroundColor = [UIColor whiteColor];
        [control mas_updateConstraints:^(MASConstraintMaker *make) {
            make.left.equalTo(self.view);
            make.right.equalTo(self.view);
            make.height.offset(48);
            make.top.equalTo(topView.mas_bottom).offset(118+49*i);
        }];
        UILabel *title = [UILabel new];
        title.text = titleArr[i];
        title.textColor = [UIColor blackColor];
        title.font = [UIFont systemFontOfSize:14];
        [control addSubview:title];
        [title mas_makeConstraints:^(MASConstraintMaker *make) {
            make.centerY.equalTo(control.mas_centerY);
            make.left.offset(15);
        }];
        
        UIImageView *imageView = [UIImageView new];
        imageView.image = [UIImage imageNamed:@"箭头"];
        [control addSubview:imageView];
        [imageView mas_makeConstraints:^(MASConstraintMaker *make) {
            make.height.and.width.offset(16);
            make.right.offset(-15);
            make.centerY.equalTo(control.mas_centerY);
        }];
    }
   
    
}

- (void)clickAction:(UIControl *)sender {
    if (sender.tag == 0) {
       // POCTabBarViewController *vc = [POCTabBarViewController new];
        OtherADViewController *vc = [OtherADViewController new];
        vc.title = [@"online advertising page" localizedString];
        [self.navigationController pushViewController:vc animated:YES];
    } else {
        TMFICDPSettingNavController *vc = [TMFICDPSettingNavController new];
        vc.title = [@"parameter setting" localizedString];
        [self.navigationController pushViewController:vc animated:YES];
    }
}

- (void)toStandViewVC:(UIControl *)sender {
    
    if (sender.tag == 5) {
        TMFICDPSplashController *splashVC = [TMFICDPSplashController new];
        [self.navigationController pushViewController:splashVC animated:YES];
        return;
    }
    TMFICDPStandController *vc = [TMFICDPStandController new];
    vc.identifier = _codeArr[sender.tag];
    vc.title = _titleArr[sender.tag];
    if (sender.tag == 6) {
        vc.isCusScreen = YES;
    }
    [self.navigationController pushViewController:vc animated:YES];
}

- (void)jumpToSettingVC {

}

/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

@end
