//
//  StandViewController.m
//  TMF-ICDP-Demo
//
//  Created by zhaozhang on 2020/3/30.
//  Copyright © 2020 Tencent. All rights reserved.
//

#import "TMFICDPStandController.h"
#import "ICDPManager.h"
#import "ICDPADView.h"
#import <Masonry.h>

@interface TMFICDPStandController ()<ICDPManagerDelegate>
@property (nonatomic, strong)UIView *containerView;
@end

@implementation TMFICDPStandController

- (void)viewDidLoad {
    [super viewDidLoad];
    [self creatUI];

    [ICDPManager addObserver:self forViewIDs:@[_identifier] forDataIDs:nil];
    if (_isCusScreen) {
        [[ICDPManager sharedManager] addMonitorCutscreenWithBoothId:_identifier];
    }
    self.view.backgroundColor = [UIColor whiteColor];
}

- (void)creatUI {
    _containerView = [UIView new];
    [self.view addSubview:_containerView];
    [_containerView mas_makeConstraints:^(MASConstraintMaker *make) {
        if (@available(iOS 11.0,*)) {
           make.top.equalTo(self.view.mas_safeAreaLayoutGuideTop).offset(20);
        } else
            make.top.offset(20);
            make.left.offset(0);
            make.right.offset(0);
            make.height.offset(150);
    }];
}

- (void)adViewDidFinishLoading:(ICDPADView *)adView identifier:(NSString *)identifier {
    if (adView) {
        [_containerView mas_updateConstraints:^(MASConstraintMaker *make) {
            make.height.offset(CGRectGetHeight(adView.frame));
        }];
        if (adView.adStyle == ICDPADStylePopup) {
            [adView popupWithComplete:^(BOOL showSueccss) {
                if (showSueccss) {

                }
            }];
        }
        if(adView.adStyle == ICDPADStylePopup) return;
        [_containerView addSubview:adView];
    }
}


-(void)dealloc {
    [ICDPManager removeObserver:self];
}


@end
