
//
//  TMFJSBridge sample1.js
//  TMF
//
//  Created by klaudz on 5/9/19.
//  Copyright (c) 2019 Tencent. All rights reserved.
//


/** Native 事件通知 H5 **/

function tmf_sample_onNavigationItemClick() {
    document.addEventListener('navigationItemClick', function (e) {
        alert(e.tmf.message);
    }, false);
}

/** 设置标题 **/

function tmf_sample_setTitle(title) {
    TMFJSBridge.invoke('setTitle', {
        title : title,
    }, function (res) {
    });
}

/** 单容器跳转、返回 **/

function tmf_sample_loadPageB() {
    window.location.href = './sample1_b.htm';
}

function tmf_sample_goBackPageA() {
    window.history.go(-1);
}

/** 数据共享 **/

function tmf_sample_setSessionStorage() {
    sessionStorage.setItem('TMF', 'TMF-session');
}

function tmf_smaple_getSessionStorage() {
    return sessionStorage.getItem('TMF');
}

function tmf_sample_setLocalStorage() {
    localStorage.setItem('TMF', 'TMF-local');
}

function tmf_smaple_getLocalStorage() {
    return localStorage.getItem('TMF');
}

function tmf_sample_getSharedStorage(callback) {
    TMFJSBridge.invoke('getSharedStorage', {
        keys    : [ 'TMF' ],
    }, function (res) {
        var value = res.values ? res.values['TMF'] : null;
        if (callback) {
            callback(value);
        }
    });
}

function tmf_sample_setSharedStorage(callback) {
    TMFJSBridge.invoke('setSharedStorage', {
        values  : {
            'TMF' : 'TMF-shared',
        }
    }, function (res) {
        if (callback) {
            callback();
        }
    });
}
