
//
//  TMFJSBridge sample4.js
//  TMF
//
//  Created by jasonzhan on 5/23/19.
//  Copyright (c) 2019 Tencent. All rights reserved.
//

var message = "";

function tmf_sample4_log(content) {
    console.log(content);
    message += '<br/><br/>';
    message += content;
    document.getElementById("show_log").innerHTML = message;
}

// 网关接口并发调用示例，调用接口A
function tmf_sample_sendSharkExA(concurrency) {
    var i;
    for (i = 0; i < concurrency; i++) {
        (function() {
            var j = i;
            tmf_sample4_log('调用接口A（TMFEcho）: ' + j);
            TMFJSBridge.invoke('sendShark', {
                apiName : "TMFEcho",                                  // string，必选，Shark 命令字（API name）
                headers : { 'headers_keyA' : 'headers_value_' + j },    // dictionary，可选，业务自定义的请求头部
                cookies : { 'cookies_keyA' : 'cookies_value_' + j },    // dictionary，可选，业务自定义的请求 Cookies
                queries : { 'queries_keyA' : 'queries_value_' + j },    // dictionary，可选，业务自定义的请求 Queries
                data    : 'dataA_' + j,   // string，可选，业务自定义的请求数据
            }, function (res) {
                tmf_sample4_log('接口A结果回调: ' + j + '<br/>' + JSON.stringify({
                    error               : res.error,                // integer，业务的返回错误码，没有错误时为 undefined
                    errorDescription    : res.errorDescription,     // string，业务的返回错误描述，没有错误时为 undefined
                    httpResponseCode    : res.httpResponseCode,     // integer，业务返回的 HTTP 状态码
                    headers             : res.headers,              // dictionary，业务的返回头部
                    data                : res.data,                 // string，业务的返回数据
                }));
            });
        })();
    }
}

// 网关接口并发调用示例，调用接口B
function tmf_sample_sendSharkExB(concurrency) {
    var i;
    for (i = 0; i < concurrency; i++) {
        (function() {
            var j = i;
            tmf_sample4_log('调用接口B（TMFAPiB）: ' + j);
            TMFJSBridge.invoke('sendShark', {
                apiName : "TMFAPiB",                                  // string，必选，Shark 命令字（API name）
                headers : { 'headers_keyB' : 'headers_value_' + j },    // dictionary，可选，业务自定义的请求头部
                cookies : { 'cookies_keyB' : 'cookies_value_' + j },    // dictionary，可选，业务自定义的请求 Cookies
                queries : { 'queries_keyB' : 'queries_value_' + j },    // dictionary，可选，业务自定义的请求 Queries
                data    : 'dataB_' + j,   // string，可选，业务自定义的请求数据
            }, function (res) {
                tmf_sample4_log('接口B结果回调(此接口不存在): ' + j + '<br/>' + JSON.stringify({
                    error               : res.error,                // integer，业务的返回错误码，没有错误时为 undefined
                    errorDescription    : res.errorDescription,     // string，业务的返回错误描述，没有错误时为 undefined
                    httpResponseCode    : res.httpResponseCode,     // integer，业务返回的 HTTP 状态码
                    headers             : res.headers,              // dictionary，业务的返回头部
                    data                : res.data,                 // string，业务的返回数据
                }));
            });
        })();
    }
}
