//
//  MFJSBridgeInvocation_LiveCheck.m
//  TMFDemo
//
//  Created by mars on 2019/6/5.
//  Copyright © 2019 Tencent. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "TMFJSBridgeInvocation_LiveCheck.h"
#import "TMFJSBridgeInvocation+Protected.h"


#import "TMFReflectCameraViewController.h"
#import "TMFPoseCameraViewController.h"
#import "TMFPoseViewControllerDelegate.h"
#import "TMFReflectViewControllerDelegate.h"

@interface TMFJSBridgeInvocation_LiveCheck()<TMFPoseViewControllerDelegate, TMFReflectViewControllerDelegate>
@end

@implementation TMFJSBridgeInvocation_LiveCheck
    
- (void)invokeWithParameters:(NSDictionary *)parameters {
    NSLog(@"TMFJSBridgeInvocation_LiveCheck:%@", parameters);
    NSString *type = parameters[@"checkType"];
    if ([type compare:@"pose" options:NSCaseInsensitiveSearch] == 0) {
        __weak typeof(&*self)weakSelf = self;
            dispatch_async(dispatch_get_main_queue(), ^{
                TMFPoseCameraViewController *viewController = [[TMFPoseCameraViewController alloc] init];
                viewController.delegate = self;
                [weakSelf.webViewController.navigationController pushViewController:viewController animated:YES];
            });
    } else if ([type compare:@"reflect" options:NSCaseInsensitiveSearch] == 0) {
        __weak typeof(&*self)weakSelf = self;
        dispatch_async(dispatch_get_main_queue(), ^{
            TMFReflectCameraViewController *viewController = [[TMFReflectCameraViewController alloc] init];
            viewController.delegate = self;
            [weakSelf.webViewController.navigationController pushViewController:viewController animated:YES];
        });
    } else {
        NSDictionary *dict = [[NSDictionary alloc]initWithObjectsAndKeys:@"param error", @"result", nil];
        [self failWithValues:dict completed:YES];
    }
}
    
#pragma mark - TMFPoseViewControllerDelegate
- (void)poseViewController:(UIViewController *)viewController didCompleteWithResult:(BOOL)pass message:(NSString*)message {
    if (pass) {
        NSDictionary *dict = [[NSDictionary alloc]initWithObjectsAndKeys:@"ok", @"result", nil];
        [self finishWithValues:dict completed:YES];
    } else {
        NSDictionary *dict = [[NSDictionary alloc]initWithObjectsAndKeys:message, @"result", nil];
        [self failWithValues:dict completed:YES];
    }
}

#pragma mark - TMFPoseViewControllerDelegate
- (void)reflectViewController:(UIViewController *)viewController didCompleteWithResult:(BOOL)pass message:(NSString *)message {
    if (pass) {
        NSDictionary *dict = [[NSDictionary alloc]initWithObjectsAndKeys:@"ok", @"result", nil];
        [self finishWithValues:dict completed:YES];
    } else {
        NSDictionary *dict = [[NSDictionary alloc]initWithObjectsAndKeys:message, @"result", nil];
        [self failWithValues:dict completed:YES];
    }
}
    
    
@end
