
//
//  TMFJSBridge sample7.js
//  TMF
//
//  Created by bentonxiu on 7/10/19.
//  Copyright (c) 2019 Tencent. All rights reserved.
//

var tmf_alert = function(message) {
    setTimeout(function() {
        alert(message);
    }, 10);
};

// 设置页面信息 【A】
function tmf_sample_setPageInfoA() {
    TMFJSBridge.invoke('setPageInfo', {
        reportKey   : 'tmf_sample_pageA' // string
    }, function (res) {
        tmf_alert(JSON.stringify({
            desc    : 'setPageInfoA',
            ret     : res.ret,
            errMsg  : res.errMsg,
        }));
    });
}

// 设置页面信息 【B】
function tmf_sample_setPageInfoB() {
    TMFJSBridge.invoke('setPageInfo', {
        reportKey   : 'tmf_sample_pageB' // string
    }, function (res) {
        tmf_alert(JSON.stringify({
            desc    : 'setPageInfoB',
            ret     : res.ret,
            errMsg  : res.errMsg,
        }));
    });
}

// 设置账号
function tmf_sample_setCustomUserInfo() {
    TMFJSBridge.invoke('setCustomUserInfo', {
        userId   :  'gCustomUserId'   // string，必选，帐号 ID
    }, function (res) {
        tmf_alert(JSON.stringify({
            desc    : 'setCustomUserInfo',
            ret     : res.ret,
            errMsg  : res.errMsg,
        }));
    });
}

// 上报当前埋点
function tmf_sample_reportEvent() {
    TMFJSBridge.invoke('reportEvent', {
        event   : 'REPORT_EVENT',   // string，必选，事件名
        params  : {     // dictionary，必选，上报的 KV 值
            param1 : 'stringValue',
            param2 : false,
            param3 : 12345
        },
    }, function (res) {
        tmf_alert(JSON.stringify({
            desc    : 'reportEvent',
			ret     : res.ret,
			errMsg 	: res.errMsg,
		}));
    });
}

// 单容器跳转模拟

function tmf_sample_goPageB() {
    window.location.href = './sample7_b.htm';
}

function tmf_sample_goPageA() {
    window.history.go(-1);
}
