//
//  TMFJSBridgeInvocation_safeKeyboardRecover.m
//  TMFDemo
//
//  Created by v_zwtzzhou on 2021/1/20.
//  Copyright © 2021 Tencent. All rights reserved.
//

#import "TMFJSBridgeInvocation_safeKeyboardRecover.h"
#import "TMFJSBridgeInvocation+Protected.h"

#import "TMFSharkCenter.h"
#import "SKReqRecoverInputText.h"
#import "SKRespRecoverInputText.h"

@implementation TMFJSBridgeInvocation_safeKeyboardRecover

- (void)invokeWithParameters:(nullable NSDictionary *)parameters{

    NSData *context = [[NSData alloc] initWithBase64EncodedString:parameters[@"context"] options:kNilOptions];

    TMFOCSharkCmdSettings *cmdSettings = [TMFOCSharkCmdSettings settings];
    [cmdSettings csSetCmdID: 1008 objectClass:[SKReqRecoverInputText class]];
    [cmdSettings scSetCmdID:11008 objectClass:[SKRespRecoverInputText class]];
    
    SKReqRecoverInputText * req = [SKReqRecoverInputText object];
    req.tars_context = context;
    req.tars_inputText = parameters[@"text"];
    
    [[TMFSharkCenter masterCenter] requestWithCmdSettings:cmdSettings
                                                 csObject: req
                                        completionHandler:^(__kindof SKRespRecoverInputText * _Nullable resp, NSError * _Nullable error) {
        if (error) {
            NSLog(@"recover input text failed,  desc: %@", error != nil ? [error description] : @"unknown error!");
        }else if (!resp || resp.tars_ret != 0) {
            NSLog(@"recover input text failed, resp return failed,  retCode: %d", resp ? resp.tars_ret : -1);
        }else {
            NSLog(@"recover input text success, text: %@", resp.tars_recoveredText);

            [self finishWithValues:@{@"text": resp.tars_recoveredText} completed:YES];
            return;
        }
        [self failWithValues:@{} completed:YES];
    }];
}


@end
