
//
//  TMFJSBridge sample7.js
//  TMF
//
//  Created by bentonxiu on 7/10/19.
//  Copyright (c) 2019 Tencent. All rights reserved.
//

var keyboardContext = new Array();

var tmf_alert = function(message) {
    setTimeout(function() {
        alert(message);
    }, 10);
};

// 安全键盘
function tmf_showSafeKeyboard(elementId) {
    var inputV = document.getElementById(elementId);
    if (elementId == "textInput1"){
        TMFJSBridge.invoke('showSafeKeyboard', {
            id: elementId,
        }, function (res) {
            console.log(res);
        });
    } else if (elementId == "textInput1-1"){
        TMFJSBridge.invoke('showSafeKeyboard', {
            id: elementId,
        }, function (res) {
            console.log(res);
        });
    } else if (elementId == "textInput1-2") {
        TMFJSBridge.invoke('showSafeKeyboard', {
        }, function (res) {
            console.log(res);
        });
    } else if (elementId == "textInput2") {
        TMFJSBridge.invoke('showSafeKeyboard', {
            id: elementId,
            inputType: 1
        }, function (res) {
            console.log(res);
        });
    } else if (elementId == "pwsInput3") {
        TMFJSBridge.invoke('showSafeKeyboard', {
            id: elementId,
        }, function (res) {
            console.log(res);
        });
    } else if (elementId == "pwsInput3-1") {
        TMFJSBridge.invoke('showSafeKeyboard', {
            id: elementId,
        }, function (res) {
            console.log(res);
            setTimeout(function(){
                TMFJSBridge.invoke('closeSafeKeyboard', {
                }, function (res) {
                    console.log(res);
                });
            }, 5000);
        });
    } else if (elementId == "textInput4") {
        TMFJSBridge.invoke('showSafeKeyboard', {
            id: elementId,
        }, function (res) {
            console.log(res);
        });
    } else if (elementId == "textInput5") {
        TMFJSBridge.invoke('showSafeKeyboard', {
            id: elementId,
        }, function (res) {
            console.log(res);
        });
    }
}

// 弱密码检测
function tmf_weakCheck(){
    var input4 = keyboardContext['textInput4'];
    var input5 = keyboardContext['textInput5'];
    var strength = document.getElementById('textInput6').value;
    var repeatNum = document.getElementById('textInput7').value;

    TMFJSBridge.invoke('safeKeyboardWeakCheck', {
        text:input4.text,
        context:input4.context,
        strength:strength,
        repeatNum:repeatNum,
    }, function (res){
        console.log(res);
        if (res.isPass == 1 && res.errorCode == 0){
            tmf_alert("弱密码检测通过")
        } else {
            tmf_alert("弱密码检测不通过")
        }
    });
}

// 二次密码一致性检测
function tmf_DoubleCheck(){
    var input4 = keyboardContext['textInput4'];
    var input5 = keyboardContext['textInput5'];
    var strength = document.getElementById('textInput6').value;
    var repeatNum = document.getElementById('textInput7').value;
    
    TMFJSBridge.invoke('safeKeyboardDoubleCheck', {
        text1:{
            text:input4.text,
            context:input4.context,
        },
        text2:{
            text:input5.text,
            context:input5.context,
        },
        context:input4.context,
        strength:strength,
        repeatNum:repeatNum,
    }, function (res){
        if (res.isPass == 0){
            if (res.errorCode == 7){
                tmf_alert("不通过，两次密码输入不一致")
            } else if (res.errorCode == 0) {
                tmf_alert("不通过，弱密码")
            } else {
                tmf_alert("不通过")
            }
        } else {
            tmf_alert("二次密码一致性检测通过")
        }
    });
}

// 键盘输入
document.addEventListener("tmf_sk_inputOneChar",function(res){
    console.log(res);
    var tmf = res.tmf;
    var inputV = document.getElementById(tmf.id);
    var value = inputV.value;
    inputV.value += tmf.content;
})

// 键盘退格
document.addEventListener("tmf_sk_deleteOneChar",function(res){
    console.log(res);
    var tmf = res.tmf;
    var inputV = document.getElementById(tmf.id);
    var value = inputV.value;
    if (value.length > 0) {
        inputV.value = value.substring(0, value.length - 1);
    }
})

// 输入关闭
document.addEventListener("tmf_sk_close",function(res){
    console.log(res);
    var tmf = res.tmf;
    var inputV = document.getElementById(tmf.id);
    keyboardContext[tmf.id] = {text:inputV.value,context:tmf.context};
})

// 输入确认
document.addEventListener("tmf_sk_complete",function(res){
    console.log(res);
    var tmf = res.tmf;
    var inputV = document.getElementById(tmf.id);
    if (tmf.context.length == 0 || inputV.value.length == 0){
        return;
    }
    keyboardContext[tmf.id] = {text:inputV.value,context:tmf.context};
    TMFJSBridge.invoke('recoverSafeKeyboard', {
        context : tmf.context,
        text : inputV.value
    }, function (res) {
        console.log(res);
        tmf_alert(inputV.value + " -> " +res.text)
    });
})

document.addEventListener("tmf_sk_relayout",function(res){
    console.log(res);
    var inputs = ["textInput1", "textInput1-1", "textInput1-2", "textInput2", "pwsInput3", "pwsInput3-1"];
    inputs.forEach((v, i) => {
        var inputV = document.getElementById(v);
        inputV.value = "";
    });
})
