//
//  TMFJSBridgeViewController.m
//  TMFDemo
//
//  Created by klaudz on 8/5/2019.
//  Copyright © 2019 Tencent. All rights reserved.
//

#import "TMFJSBridgeViewController.h"
#import "TMFJSBridgeWKWebViewController.h"
#import "TMFJSBridgeWKWebViewController_Sample1.h"
#import "NSString+Localize.h"

@interface TMFJSBridgeViewController ()

@end

@implementation TMFJSBridgeViewController

- (void)awakeFromNib {
    [super awakeFromNib];
    
    [self initDataSource];
}
#define ROW_WKWEBVIEW   @"Demo in WKWebView"
#define ROW_SAMPLE_1     [@"Sample 1 (single container、multiple container、data sync)" localizedString]
#define ROW_SAMPLE_2     [@"Sample 2 (multiple callback)" localizedString]
#define ROW_SAMPLE_3     @"Sample 3 (OCR)"
#define ROW_SAMPLE_4     [@"Sample 4 (sendShark multiple concurrency)" localizedString]
#define ROW_SAMPLE_5     [@"Sample 5 (live recognize)" localizedString]
#define ROW_SAMPLE_6     [@"Sample 6 (report geographic location info)" localizedString]
#define ROW_SAMPLE_7     [@"Sample 7 (report incident)" localizedString]
#define ROW_SAMPLE_8     [@"Sample 8 (safety keyboard)" localizedString]
#define ROW_SAMPLE_9     [@"Sample 9 (multiple call test)" localizedString]
#define ROW_SAMPLE_10    [@"Sample 10 (Hybrid container test)" localizedString]


- (void)initDataSource {
    [super initDataSource];
    
    self.dataSource = @[ROW_WKWEBVIEW,
                        ROW_SAMPLE_1,
                        ROW_SAMPLE_2,
                        ROW_SAMPLE_3,
                        ROW_SAMPLE_4,
                        ROW_SAMPLE_5,
                        ROW_SAMPLE_6,
                        ROW_SAMPLE_7,
                        ROW_SAMPLE_8,
                        ROW_SAMPLE_9,
                        ROW_SAMPLE_10
    ];
}

- (void)didSelectCellWithTitle:(NSString *)title {
    if ([title isEqualToString:ROW_WKWEBVIEW]) {
        [self createJSBridgeWKWebViewController];
    } else if ([title isEqualToString:ROW_SAMPLE_1]) {
        [self createSample1WebViewController];
    } else if ([title isEqualToString:ROW_SAMPLE_2]) {
        [self createSample2WebViewController];
    } else if ([title isEqualToString:ROW_SAMPLE_3]) {
        [self createSample3WebViewController];
    } else if ([title isEqualToString:ROW_SAMPLE_4]) {
        [self createSample4WebViewController];
    } else if ([title isEqualToString:ROW_SAMPLE_5]) {
        [self createSample5WebViewController];
    } else if ([title isEqualToString:ROW_SAMPLE_6]) {
        [self createSample6WebViewController];
    } else if ([title isEqualToString:ROW_SAMPLE_7]) {
        [self createSample7WebViewController];
    } else if ([title isEqualToString:ROW_SAMPLE_8]) {
        [self createSample8WebViewController];
    } else if ([title isEqualToString:ROW_SAMPLE_9]) {
        [self createSample9WebViewController];
    } else if ([title isEqualToString:ROW_SAMPLE_10]) {
        [self createSample10WebViewController];
    }
}

- (void)setupNavigationItems {
    [super setupNavigationItems];
    self.title = @"TMFJSBridge";
}

#pragma mark -
- (void)createJSBridgeWKWebViewController
{
    NSString *URLString = [[NSBundle mainBundle] pathForResource:@"demo" ofType:@"htm"];
    NSURL *URL = [NSURL fileURLWithPath:URLString];
    TMFJSBridgeWKWebViewController *webViewController = [[TMFJSBridgeWKWebViewController alloc] initWithURL:URL];
    [self.navigationController pushViewController:webViewController animated:YES];
}

- (void)createSample1WebViewController
{
    NSString *URLString = [[NSBundle mainBundle] pathForResource:@"sample1_a" ofType:@"htm"];
    NSURL *URL = [NSURL fileURLWithPath:URLString];
    TMFJSBridgeWKWebViewController_Sample1 *webViewController = [[TMFJSBridgeWKWebViewController_Sample1 alloc] initWithURL:URL];
    [self.navigationController pushViewController:webViewController animated:YES];
}

- (void)createSample2WebViewController
{
    NSString *URLString = [[NSBundle mainBundle] pathForResource:@"sample2" ofType:@"htm"];
    NSURL *URL = [NSURL fileURLWithPath:URLString];
    TMFJSBridgeWKWebViewController *webViewController = [[TMFJSBridgeWKWebViewController alloc] initWithURL:URL];
    [self.navigationController pushViewController:webViewController animated:YES];
}

- (void)createSample3WebViewController
{
    NSString *URLString = [[NSBundle mainBundle] pathForResource:@"sample3" ofType:@"htm"];
    NSURL *URL = [NSURL fileURLWithPath:URLString];
    TMFJSBridgeWKWebViewController *webViewController = [[TMFJSBridgeWKWebViewController alloc] initWithURL:URL];
    [self.navigationController pushViewController:webViewController animated:YES];
}

- (void)createSample4WebViewController
{
    NSString *URLString = [[NSBundle mainBundle] pathForResource:@"sample4" ofType:@"htm"];
    NSURL *URL = [NSURL fileURLWithPath:URLString];
    TMFJSBridgeWKWebViewController *webViewController = [[TMFJSBridgeWKWebViewController alloc] initWithURL:URL];
    [self.navigationController pushViewController:webViewController animated:YES];
}
    
- (void)createSample5WebViewController
{
    NSString *URLString = [[NSBundle mainBundle] pathForResource:@"sample5" ofType:@"htm"];
    NSURL *URL = [NSURL fileURLWithPath:URLString];
    TMFJSBridgeWKWebViewController *webViewController = [[TMFJSBridgeWKWebViewController alloc] initWithURL:URL];
    [self.navigationController pushViewController:webViewController animated:YES];
}

- (void)createSample6WebViewController
{
    NSString *URLString = [[NSBundle mainBundle] pathForResource:@"sample6" ofType:@"htm"];
    NSURL *URL = [NSURL fileURLWithPath:URLString];
    TMFJSBridgeWKWebViewController *webViewController = [[TMFJSBridgeWKWebViewController alloc] initWithURL:URL];
    [self.navigationController pushViewController:webViewController animated:YES];
}

- (void)createSample7WebViewController
{
    NSString *URLString = [[NSBundle mainBundle] pathForResource:@"sample7_a" ofType:@"htm"];
    NSURL *URL = [NSURL fileURLWithPath:URLString];
    TMFJSBridgeWKWebViewController *webViewController = [[TMFJSBridgeWKWebViewController alloc] initWithURL:URL];
    [self.navigationController pushViewController:webViewController animated:YES];
}

- (void)createSample8WebViewController
{
    NSString *URLString = [[NSBundle mainBundle] pathForResource:@"sample8" ofType:@"htm"];
    NSURL *URL = [NSURL fileURLWithPath:URLString];
    TMFJSBridgeWKWebViewController *webViewController = [[TMFJSBridgeWKWebViewController alloc] initWithURL:URL];
    [self.navigationController pushViewController:webViewController animated:YES];
}

- (void)createSample9WebViewController
{
    NSString *URLString = [[NSBundle mainBundle] pathForResource:@"sample9" ofType:@"htm"];
    NSURL *URL = [NSURL fileURLWithPath:URLString];
    TMFJSBridgeWKWebViewController *webViewController = [[TMFJSBridgeWKWebViewController alloc] initWithURL:URL];
    [self.navigationController pushViewController:webViewController animated:YES];
}

- (void)createSample10WebViewController
{
    NSString *URLString = [[NSBundle mainBundle] pathForResource:@"sample10" ofType:@"htm"];
    NSURL *URL = [NSURL fileURLWithPath:URLString];
    TMFJSBridgeWKWebViewController *webViewController = [[TMFJSBridgeWKWebViewController alloc] initWithURL:URL];
    [self.navigationController pushViewController:webViewController animated:YES];
}

@end
