//
//  TMFJSBridgeWKWebViewController.h
//  TMFDemo
//
//  Created by klaudz on 18/4/2019.
//  Copyright © 2019 Tencent. All rights reserved.
//

#import "QDCommonViewController.h"
#import "TMFJSBridge.h"
#import <WebKit/WebKit.h>
#import "TMFWkWebView.h"

#import "TMFJSBridgeInvocation_safeKeyboardDisplay.h"

NS_ASSUME_NONNULL_BEGIN

/**
 @brief TMF JSBridge WKWebView Controller
 */
@interface TMFJSBridgeWKWebViewController : QDCommonViewController <WKUIDelegate, WKNavigationDelegate, TMFJSBridgeWebViewControllerProtocol,
                                                TMFSafeKeyboardWrapperWebViewControllerDeleate>
/**
 @brief webview
 */
@property (nonatomic, strong, readonly) TMFWkWebView *webView;

/**
 @brief 安全键盘封装对象，包含键盘设置
 */
@property (nonatomic, strong) TMFSafeKeyboardWrapper *codeViewKeyboardWrapper;
- (instancetype)initWithURL:(NSURL *)URL;

@end

NS_ASSUME_NONNULL_END
