//
//  EntryData.m
//  QMapKitDemoNew
//
//  Created by tabsong on 17/5/11.
//  Copyright © 2017年 Tencent. All rights reserved.
//

#import "EntryData.h"
#import <QMapKit/QMapKit.h>
#import "NSString+Localize.h"

@implementation Cell

@end

@implementation Section

@end

@implementation EntryData

+ (instancetype)constructDefaultEntryData
{
    EntryData *entry = [[EntryData alloc] init];
    entry.title = [NSString stringWithFormat:@"3D Map Demos %@", QMapServices.sharedServices.sdkVersion];
    NSMutableArray<Section *> *sectionArray = [NSMutableArray array];
    entry.sections = sectionArray;
    
    // Map Section.
    {
        Section *section = [[Section alloc] init];
        section.title = [@"basemap" localizedString];
        NSMutableArray<Cell *> *cellArray = [NSMutableArray array];
        section.cells = cellArray;
        
        [sectionArray addObject:section];
        
        // 基础底图Cell.
        {
            Cell *cell = [[Cell alloc] init];
            
            cell.title = [@"base map" localizedString];
            cell.controllerClassName = @"MapViewController";
            
            [cellArray addObject:cell];
        }
        
        // 手势控制Cell.
        {
            Cell *cell = [[Cell alloc] init];
            
            cell.title = [@"gesture control" localizedString];
            cell.controllerClassName = @"GestureControlViewController";
            
            [cellArray addObject:cell];
        }
    
        //个性化地图
        {
            Cell *cell = [[Cell alloc] init];
        
            cell.title = [@"personalized map" localizedString];
            cell.controllerClassName = @"MultiStyleViewController";
        
            [cellArray addObject:cell];
        }
    
        //手绘图
        {
            Cell *cell = [[Cell alloc] init];
        
            cell.title = [@"hand draw map" localizedString];
            cell.controllerClassName = @"HandDrawMapViewController";
        
            [cellArray addObject:cell];
        }
		
		//路况样式
		{
			Cell *cell = [[Cell alloc] init];
			
			cell.title = [@"custom traffic styles" localizedString];
			cell.controllerClassName = @"TrafficStyleViewController";
			
			[cellArray addObject:cell];
		}
        
        //自定义图
        {
            Cell *cell = [[Cell alloc] init];
        
            cell.title = [@"custom source" localizedString];
            cell.controllerClassName = @"CustomSourceViewController";
        
            [cellArray addObject:cell];
        }
        
        // 底图状态CoreAnimation
        {
            Cell *cell = [[Cell alloc] init];
            
            cell.title = [@"basemap CoreAnimation" localizedString];
            cell.controllerClassName = @"MapCoreAnimationViewController";

            
            [cellArray addObject:cell];
        }
    }
    
    // Annotation Section.
    {
        Section *section = [[Section alloc] init];
        section.title = [@"annotation" localizedString];
        NSMutableArray<Cell *> *cellArray = [NSMutableArray array];
        section.cells = cellArray;
        
        [sectionArray addObject:section];
        
        // 基础标注Cell.
        {
            Cell *cell = [[Cell alloc] init];
            
            cell.title = [@"base annotation" localizedString];
            cell.controllerClassName = @"AnnotationViewController";
            
            [cellArray addObject:cell];
        }
        
        // 大头针标注Cell.
        {
            Cell *cell = [[Cell alloc] init];
            
            cell.title = [@"pin annotation" localizedString];
            cell.controllerClassName = @"PinAnnotationViewController";
            
            [cellArray addObject:cell];
        }
        
        // 自定义标注Cell.
        {
            Cell *cell = [[Cell alloc] init];
            
            cell.title = [@"custom annotation" localizedString];
            cell.controllerClassName = @"CustomAnnotationViewController";
            
            [cellArray addObject:cell];
        }
        
        // 自定义callout Cell.
        {
            Cell *cell = [[Cell alloc] init];
            
            cell.title = [@"custom callout" localizedString];
            cell.controllerClassName = @"CustomCalloutViewController";
            
            [cellArray addObject:cell];
        }
        
        // 标注平移动画Cell.
        {
            Cell *cell = [[Cell alloc] init];
            
            cell.title = [@"annotation animate coordinate" localizedString];
            cell.controllerClassName = @"AnnotationAnimateCoordinateViewController";
            
            [cellArray addObject:cell];
        }
        
        // 标注普通动画Cell.
        {
            Cell *cell = [[Cell alloc] init];
            
            cell.title = [@"annotation CoreAnimation" localizedString];
            cell.controllerClassName = @"AnnotationCoreAnimationViewController";
            
            [cellArray addObject:cell];
        }
        
        // 标注普通动画Cell.
        {
            Cell *cell = [[Cell alloc] init];
            
            cell.title = [@"annotation animate hybrid" localizedString];
            cell.controllerClassName = @"AnnotationAnimateCoordinate2ViewController";
            
            [cellArray addObject:cell];
        }
    
        // 缩放地图展示标记Cell.
        {
        Cell *cell = [[Cell alloc] init];
        
        cell.title = [@"show related annotation" localizedString];
        cell.controllerClassName = @"ShowRelatedAnnotationViewController";
        
        [cellArray addObject:cell];
        }
    }
    
    //Control interaction
    {
        Section *section = [[Section alloc] init];
        section.title = [@"interact" localizedString];
        NSMutableArray<Cell *> *cellArray = [NSMutableArray array];
        section.cells = cellArray;
    
        [sectionArray addObject:section];
    
    //控件交互
        {
        
            Cell *cell = [[Cell alloc] init];
        
            cell.title = [@"control panel interact" localizedString];
            cell.controllerClassName = @"ControlPanelInteractViewController";
        
            [cellArray addObject:cell];
        }
    
        //Change center location
        {
        
            Cell *cell = [[Cell alloc] init];
        
            cell.title = [@"change map center" localizedString];
            cell.controllerClassName = @"ChangeMapCenterViewController";
        
            [cellArray addObject:cell];
        }
    
    
        //展示选定区域
        {
        
            Cell *cell = [[Cell alloc] init];
        
            cell.title = [@"display selected region" localizedString];
            cell.controllerClassName = @"DisplaySelectedRegionViewController";
        
            [cellArray addObject:cell];
        }
    
        //长按添加标记点
        {
        
            Cell *cell = [[Cell alloc] init];
        
            cell.title = [@"custom gestures (long press to add annotation)" localizedString];
            cell.controllerClassName = @"LongpressAnnotationViewController";
        
            [cellArray addObject:cell];
        }
    
    }
    
    //室内
    {
        Section *section = [[Section alloc] init];
        section.title = [@"indoor" localizedString];
        NSMutableArray<Cell *> *cellArray = [NSMutableArray array];
        section.cells = cellArray;
    
        [sectionArray addObject:section];
    
            {
            Cell *cell = [[Cell alloc] init];
            
            cell.title = [@"indoor map" localizedString];
            cell.controllerClassName = @"IndoorViewController";
            
            [cellArray addObject:cell];
            }
    }
    
    // 限定区域
    {
        Section *section = [[Section alloc] init];
        section.title = [@"limit map rect" localizedString];
        NSMutableArray<Cell *> *cellArray = [NSMutableArray array];
        section.cells = cellArray;
    
        [sectionArray addObject:section];
    
        {
            Cell *cell = [[Cell alloc] init];
        
            cell.title = [@"limit map rect" localizedString];
            cell.controllerClassName = @"LimitMapRectViewController";
        
            [cellArray addObject:cell];
        }
    }
    
    // Overlay Section.
    {
        Section *section = [[Section alloc] init];
        section.title = @"Overlay";
        NSMutableArray<Cell *> *cellArray = [NSMutableArray array];
        section.cells = cellArray;
        
        [sectionArray addObject:section];
        
        // 基础Overlay
        {
            Cell *cell = [[Cell alloc] init];
            
            cell.title = [@"base overlay" localizedString];
            cell.controllerClassName = @"OverlayViewController";
            
            [cellArray addObject:cell];
        }
        // 虚线Overlay
        {
            Cell *cell = [[Cell alloc] init];
        
            cell.title = [@"dash line overlay" localizedString];
            cell.controllerClassName = @"DashLineOverlayViewController";
        
            [cellArray addObject:cell];
        }
    
        // 自定义Overlay
        {
            Cell *cell = [[Cell alloc] init];
        
            cell.title = [@"tile overlay" localizedString];
            cell.controllerClassName = @"TileOverlayViewController";
        
            [cellArray addObject:cell];
        }
    
        //本地瓦片
        {
            Cell *cell = [[Cell alloc] init];
        
            cell.title = [@"custom tile overlay" localizedString];
            cell.controllerClassName = @"CustomTileOverlayViewController";
        
            [cellArray addObject:cell];
        }
        
        {
            Cell *cell = [[Cell alloc] init];
        
            cell.title = [@"custom layer" localizedString];
            cell.controllerClassName = @"CustomLayerViewController";
        
            [cellArray addObject:cell];
        }
    
    
        // 热力图 Cell.
        {
            Cell *cell = [[Cell alloc] init];
            
            cell.title = [@"heat map" localizedString];
            cell.controllerClassName = @"HeatViewController";
            
            [cellArray addObject:cell];
        }
    
        // OpenGL绘制.
        {
            Cell *cell = [[Cell alloc] init];
            
            cell.title = [@"custom OpenGL draw" localizedString];
            cell.controllerClassName = @"GLDrawViewController";
            
            [cellArray addObject:cell];
        }
    
        // AOI
        {
            Cell *cell = [[Cell alloc] init];
            
            cell.title = @"AOILAYER";
            cell.controllerClassName = @"AOILayerController";
            
            [cellArray addObject:cell];
        }
        
        // Route Overlay
        {
            Cell *cell = [[Cell alloc] init];
            
            cell.title = @"Polyline Overlay";
            cell.controllerClassName = @"TexturePolylineViewController";
            
            [cellArray addObject:cell];
        }
    
        // Route Name
        {
            Cell *cell = [[Cell alloc] init];
        
            cell.title = [@"dynamic road name" localizedString];
            cell.controllerClassName = @"RouteNameViewController";
        
            [cellArray addObject:cell];
            }
    // 路线擦除
        {
            Cell *cell = [[Cell alloc] init];
        
            cell.title = [@"erase line" localizedString];
            cell.controllerClassName = @"EraseLineViewController";
        
            [cellArray addObject:cell];
        }
        
        // GroundOverlay
        {
            
            Cell *cell = [[Cell alloc] init];
            
            cell.title = @"GroundOverlay";
            cell.controllerClassName = @"GroundOverlayController";
            
            [cellArray addObject:cell];
        }
		
		// AOI
		{
			Cell *cell = [[Cell alloc] init];
			
			cell.title = @"AOILayer";
			cell.controllerClassName = @"AOILayerController";
			
			[cellArray addObject:cell];
		}
		
        // LineDashPolygonController
        {
            Cell *cell = [[Cell alloc] init];
            
            cell.title = [@"dashed polygon" localizedString];
            cell.controllerClassName = @"LineDashPolygonController";
            
            [cellArray addObject:cell];
        }
        
        // ArcPolylineViewController
        {
            Cell *cell = [[Cell alloc] init];
            
            cell.title = [@"arc polyline" localizedString];
            cell.controllerClassName = @"ArcPolylineViewController";
            
            [cellArray addObject:cell];
        }
        
        // GradientLineViewController
        {
            Cell *cell = [[Cell alloc] init];
            
            cell.title = [@"gradient line" localizedString];
            cell.controllerClassName = @"GradientLineViewController";
            
            [cellArray addObject:cell];
        }
    }
	
	// 可视化图层 Section.
	{
		Section *section = [[Section alloc] init];
		section.title = [@"visualization layer" localizedString];
		NSMutableArray<Cell *> *cellArray = [NSMutableArray array];
		section.cells = cellArray;
		
		[sectionArray addObject:section];
		
		// 定位Cell.
		{
			Cell *cell = [[Cell alloc] init];
			
			cell.title = [@"heat 3D map" localizedString];
			cell.controllerClassName = @"Heat3DViewController";
			
			[cellArray addObject:cell];
		}
		
		// 蜂窝热力
		{
			Cell *cell = [[Cell alloc] init];
			
			cell.title = [@"vector heat map" localizedString];
			cell.controllerClassName = @"VectorHeatViewController";
			
			[cellArray addObject:cell];
		}
		
		// 迁徙图
		{
			Cell *cell = [[Cell alloc] init];
			
			cell.title = [@"migratation line" localizedString];
			cell.controllerClassName = @"MigratationLineViewController";
			
			[cellArray addObject:cell];
		}
        
        // 轨迹图
        {
            Cell *cell = [[Cell alloc] init];
            
            cell.title = [@"trail line" localizedString];
            cell.controllerClassName = @"TrailLineViewController";
            
            [cellArray addObject:cell];
        }
        
        // 散点
        {
            Cell *cell = [[Cell alloc] init];
            
            cell.title = [@"scatter dot" localizedString];
            cell.controllerClassName = @"ScatterDotViewController";
            
            [cellArray addObject:cell];
        }
        
        // 贴图散点
        {
            Cell *cell = [[Cell alloc] init];
            
            cell.title = [@"scatter icon" localizedString];
            cell.controllerClassName = @"ScatterIconViewController";
            
            [cellArray addObject:cell];
        }
		
	}
    
    // 定位 Section.
    {
        Section *section = [[Section alloc] init];
        section.title = [@"location" localizedString];
        NSMutableArray<Cell *> *cellArray = [NSMutableArray array];
        section.cells = cellArray;
        
        [sectionArray addObject:section];
        
        // 定位Cell.
        {
            Cell *cell = [[Cell alloc] init];
            
            cell.title = [@"location" localizedString];
            cell.controllerClassName = @"UserLocationViewController";
            
            [cellArray addObject:cell];
        }
        
        // 自定义定位样式
        {
            Cell *cell = [[Cell alloc] init];
            
            cell.title = [@"custom user location" localizedString];
            cell.controllerClassName = @"CustomUserLocationViewController";
            
            [cellArray addObject:cell];
        }
    }
    
    // 检索 Section.
    {
        Section *section = [[Section alloc] init];
        section.title = [@"search" localizedString];
        NSMutableArray<Cell *> *cellArray = [NSMutableArray array];
        section.cells = cellArray;
        
        [sectionArray addObject:section];
        
        // 定位Cell.
        {
            Cell *cell = [[Cell alloc] init];
            
            cell.title = [@"walking search" localizedString];
            cell.controllerClassName = @"WalkingSearchViewController";
            
            [cellArray addObject:cell];
        }
        
    }
    
    // 截图.
    {
        Section *section = [[Section alloc] init];
        section.title = [@"snapshot" localizedString];
        NSMutableArray<Cell *> *cellArray = [NSMutableArray array];
        section.cells = cellArray;
    
        [sectionArray addObject:section];
    
        // 截图.
        {
            Cell *cell = [[Cell alloc] init];
        
            cell.title = [@"async snapshot" localizedString];
            cell.controllerClassName = @"SnapshotViewController";
        
            [cellArray addObject:cell];
        }
    }
    
    // 离线地图
    {
        Section *section = [[Section alloc] init];
        section.title = [@"offline map" localizedString];
        NSMutableArray<Cell *> *cellArray = [NSMutableArray array];
        section.cells = cellArray;
        
        [sectionArray addObject:section];
        
        // 离线地图.
        {
            Cell *cell = [[Cell alloc] init];
            
            cell.title = [@"offline map" localizedString];
            cell.controllerClassName = @"OfflineMapViewController";
            
            [cellArray addObject:cell];
        }
    }
    return entry;
}

@end
