//
//  TMFOCRCaptureSession.h
//  QQPimPro
//
//  Created by emmia on 2019/3/13.
//  Copyright © 2019年 Tencent Technology(Shenzhen) Company Limited. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <AVFoundation/AVFoundation.h>

NS_ASSUME_NONNULL_BEGIN

/**
 @brief OCR识别会话信息
 */
@interface TMFOCRCaptureSession : NSObject

/**
 @brief 预览图
 */
@property (nonatomic, strong) AVCaptureVideoPreviewLayer    *previewLayer;

/*
 @desc 初始化配置
 */
- (void)addVideoPreviewLayer;
- (void)addVideoInputWithCameraPosition:(AVCaptureDevicePosition)devicePosition;
- (void)addVideoOutputWithSampleBufferDelegate:(id<AVCaptureVideoDataOutputSampleBufferDelegate>)sampleBufferDelegate
                                         queue:(dispatch_queue_t)sampleBufferCallbackQueue;
/*
 @desc 开始视频捕捉
 */
- (void)startCapture;

/*
 @desc 停止视频捕捉
 */
- (void)stopCapture;

/*
 @desc 将区域转化为输入需要的形式
 */
- (CGRect)rectOfInterestForRect:(CGRect)cropRect;

@end

NS_ASSUME_NONNULL_END
