//
//  TMFOCRDetectUtil.m
//  EMOCRDetect
//
//  Created by emmia on 2019/4/28.
//  Copyright © 2019 Tencent Technology(Shenzhen) Company Limited. All rights reserved.
//

#import "TMFOCRDetectUtil.h"

@implementation TMFOCRDetectUtil

+ (NSString *)ocrResultFromOcrModel:(TMFOCRScanModel *)ocrModel
{
    NSMutableString *result = [[NSMutableString alloc] init];
    switch (ocrModel.scanType) {
        case TMFOCRScanTypeBankcard:
        {
            [result appendString:@"银行卡\n"];
            TMFOCRBankcardModel *curModel = (TMFOCRBankcardModel *)ocrModel;
            if (curModel.name) {
                [result appendFormat:@"户主姓名:%@\n", curModel.name];
            }
            if (curModel.number) {
                [result appendFormat:@"卡号:%@\n", curModel.number];
            }
            if (curModel.bank) {
                [result appendFormat:@"银行信息:%@\n", curModel.bank];
            }
            if (curModel.cardName) {
                [result appendFormat:@"卡名字:%@\n", curModel.cardName];
            }
            if (curModel.cardType) {
                [result appendFormat:@"卡类型:%@\n", curModel.cardType];
            }
            if (curModel.validDate) {
                [result appendFormat:@"有效期:%@\n", curModel.validDate];
            }
        }
            break;
        case TMFOCRScanTypeIDcardNational:
        case TMFOCRScanTypeIDcardAvatar:
        {
            [result appendString:@"身份证\n"];
            TMFOCRIDCardModel *curModel = (TMFOCRIDCardModel *)ocrModel;
            if (curModel.name) {
                [result appendFormat:@"姓名:%@\n", curModel.name];
            }
            if (curModel.number) {
                [result appendFormat:@"号码:%@\n", curModel.number];
            }
            if (curModel.sex) {
                [result appendFormat:@"性别:%@\n", curModel.sex];
            }
            if (curModel.nation) {
                [result appendFormat:@"民族:%@\n", curModel.nation];
            }
            if (curModel.birthday) {
                [result appendFormat:@"出生日期:%@\n", curModel.birthday];
            }
            if (curModel.address) {
                [result appendFormat:@"地址:%@\n", curModel.address];
            }
            if (curModel.issue) {
                [result appendFormat:@"签发机构:%@\n", curModel.issue];
            }
            if (curModel.validDate) {
                [result appendFormat:@"有效年限:%@\n", curModel.validDate];
            }
        }
            break;
        default:
            break;
    }
    return result;
}

@end
