//
//  TMFRouterViewController.m
//  TMFDemo
//
//  Created by 许加文 on 2022/5/31.
//  Copyright © 2022 Tencent. All rights reserved.
//

#import "TMFRouterViewController.h"
#import "TMFURLRouterViewController.h"
#import "TMFRouter.h"
#import "NSString+Localize.h"

@interface TMFRouterViewController ()

@end

@implementation TMFRouterViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view.
    self.title = [@"framework components" localizedString];
}

- (void)initDataSource {
    [super initDataSource];
    self.dataSource = @[ [@"test VC router" localizedString],
                         [@"test service" localizedString],
                         [@"test MicroApp" localizedString]
    ];
}

- (void)didSelectCellWithTitle:(NSString *)title {
    if ([title isEqualToString:[@"test VC router" localizedString]]) {
        TMFURLRouterViewController *urlRouterVC = [[TMFURLRouterViewController alloc] init];
        [self.navigationController pushViewController:urlRouterVC animated:YES];
    } else if ([title isEqualToString:[@"test service" localizedString]]) {
        NSString *result = [TMFServiceContext executeServiceWithURL:[@"service://get/date" appendingParams:@{@"action":@"getTime",@"time":@(0)}]];
        
        UIAlertController *alertController = [UIAlertController alertControllerWithTitle:[@"result" localizedString] message:result
                                                                          preferredStyle:UIAlertControllerStyleAlert];
        [alertController addAction:[UIAlertAction actionWithTitle:@"OK" style:UIAlertActionStyleCancel handler:nil]];
        [self presentViewController:alertController animated:YES completion:nil];
    } else if ([title isEqualToString:[@"test MicroApp" localizedString]]) {
        [TMFMicroAppContext openMicroAppWithURL:@"app://test/a?app=测试App"];
    }
}

@end
