//
//  TMFServiceTestA.m
//  TMFDemo
//
//  Created by 许加文 on 2022/5/11.
//  Copyright © 2022 Tencent. All rights reserved.
//

#import "TMFServiceTestA.h"
#import "TMFRouter.h"

@interface TMFServiceTestA ()<TMFServiceContextProtocol>

@end

@implementation TMFServiceTestA

+ (void)registerService {
    [TMFServiceContext registerServiceURL:@"service://get/date" instanceHandler:^id{
        return [[TMFServiceTestA alloc] init];;
    } toObjectHandler:^id(id  _Nonnull instance, NSDictionary * _Nonnull serviceParameters) {
        TMFServiceTestA *testA = (TMFServiceTestA *)instance;
        NSString *action = serviceParameters[@"action"];
        if ([action isEqualToString:@"test"]) {
            [testA test];
            return nil;
        } else if ([action isEqualToString:@"getTime"]) {
            NSTimeInterval time = [serviceParameters[@"time"] integerValue];
            return [testA getDate:time];
        }
        return testA;
    }];
}

- (void)start {
    NSLog(@"Start service TMFServiceTestA");
}

- (void)dealloc {
    NSLog(@"dealloc");
}

- (void)test {
    NSLog(@"This is a method for test");
}

- (NSString *)getDate:(NSTimeInterval)time {
    NSDateFormatter *formatter = [[NSDateFormatter alloc] init];
    formatter.dateFormat = @"YYYY年MM月dd日";
    return [formatter stringFromDate:[NSDate dateWithTimeIntervalSince1970:time]];
}

@end
