//
//  TMFURLRouterTest2VC.m
//  TMFDemo
//
//  Created by gavinjwxu on 2022/4/11.
//  Copyright © 2022 Tencent. All rights reserved.
//

#import "TMFURLRouterTest2VC.h"
#import "TMFRouter.h"

#define TMFRouter_TestVC_2 @"tmf://router/test/2"
#define TMFRouter_TestVC_2_Push @"tmf://router/test/2/push"

@interface TMFURLRouterTest2VC ()<TMFURLRouterProtocol>

@property (nonatomic, copy) NSString *titleStr;
@property (nonatomic,assign) BOOL isAppVC;

@end

@implementation TMFURLRouterTest2VC

+ (void)registerRouter {
    [TMFURLRouter registerURLPattern:TMFRouter_TestVC_2 toObjectHandler:^id(NSDictionary *routerParameters) {
        TMFURLRouterTest2VC *vc = [[TMFURLRouterTest2VC alloc] init];
        return vc;
    }];
    
    [TMFURLRouter registerURLPattern:TMFRouter_TestVC_2_Push toHandler:^(NSDictionary *routerParameters) {
        TMFURLRouterTest2VC *vc = [[TMFURLRouterTest2VC alloc] init];
        vc.titleStr = routerParameters[@"titleStr"];
        vc.isAppVC = [routerParameters[@"isAppVC"] boolValue];
        vc.hidesBottomBarWhenPushed = YES;
        [[UIViewController currentNavigationViewController] pushViewController:vc animated:YES];
    }];
}

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view.
    self.title = self.titleStr;
    
    if (self.isAppVC) {
        QMUIButton *button = [[QMUIButton alloc] initWithFrame:CGRectMake(20, 100, 200, 30)];
        [button setTitle:@"exit current micro app" forState:UIControlStateNormal];
        button.titleLabel.font = UIFontMake(16);
        [button setTitleColor:UIColor.darkGrayColor forState:UIControlStateNormal];
        button.backgroundColor = TableViewCellSelectedBackgroundColor;
        button.qmui_automaticallyAdjustTouchHighlightedInScrollView = YES;
        [self.view addSubview:button];
        [button addTarget:self action:@selector(handleSelectableButtonEvent:) forControlEvents:UIControlEventTouchUpInside];
    }
}

- (void)handleSelectableButtonEvent:(QMUIButton *)sender {
    [TMFMicroAppContext exitCurrentMicroApp];
}

@end
