//
//  TMFURLRouterViewController.m
//  TMFDemo
//
//  Created by gavinjwxu on 2022/4/11.
//  Copyright © 2022 Tencent. All rights reserved.
//

#import "TMFURLRouterViewController.h"
#import "TMFRouter.h"
#import "NSString+Localize.h"

@interface TMFURLRouterViewController ()

@end

@implementation TMFURLRouterViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view.
    self.title = [@"VC router" localizedString];
}

- (void)initDataSource {
    [super initDataSource];
    self.dataSource = @[ [@"open VC normal" localizedString],
                         [@"open TabBar" localizedString],
                         [@"open WebView" localizedString],
    ];
}

- (void)didSelectCellWithTitle:(NSString *)title {
    if ([title isEqualToString:[@"open VC normal" localizedString]]) {
        // 下面 1 和 2写法等效
        // 1
        [TMFURLRouter openURL:@"tmf://router/test/1/push?titleStr=标题1"];
        
        // 2
//        [TMFURLRouter openURL:[@"tmf://router/test/1/push" appendingParams:@{@"titleStr":@"标题1"}]];
        
        // 3 把参数放在userInfo里 取的时候需要从.routerUserInfo中取 可以查看registerRouter中的写法
//        [TMFURLRouter openURL:@"tmf://router/test/1/push" userInfo:@{@"titleStr":@"标题1"}];
        
        // 4 blcok应放在userInfo里传递 下面为完整的调用方法 block无法拼接在url里 所以要放在userInfo里
//        void (^testBlock)(void) = ^(){
//            NSLog(@"test block");
//        };
//        [TMFURLRouter openURL:[@"tmf://router/test/1/push" appendingParams:@{@"titleStr":@"标题1"}] withUserInfo:@{@"testBlock":testBlock} completion:^(id result) {
//            NSLog(@"completion block");
//        } failure:^(NSError *error) {
//            NSLog(@"failure block");
//        }];
    } else if ([title isEqualToString:[@"open TabBar" localizedString]]) {
        UITabBarController *tabVC = [[UITabBarController alloc] init];
        UIViewController *vc1 = [TMFURLRouter objectForURL:[@"tmf://router/test/1" appendingParams:@{@"titleStr":[@"first" localizedString]}]];
        UITabBarItem *item1 = [[UITabBarItem alloc] initWithTitle:[@"first" localizedString] image:nil selectedImage:nil];
        vc1.tabBarItem = item1;
        
        UIViewController *vc2 = [TMFURLRouter objectForURL:[@"tmf://router/test/2" appendingParams:@{@"titleStr":[@"second" localizedString]}]];
        UITabBarItem *item2 = [[UITabBarItem alloc] initWithTitle:[@"second" localizedString] image:nil selectedImage:nil];
        vc2.tabBarItem = item2;
        
        tabVC.viewControllers = @[vc1,vc2];
        
        [self.navigationController pushViewController:tabVC animated:YES];
        // 一般在didFinishLaunchingWithOptions中这样写：
//        self.window.rootViewController = tabVC;
//        [self.window makeKeyAndVisible];
    } else if ([title isEqualToString:[@"open WebView" localizedString]]) {
        [TMFURLRouter openURL:@"tmf://router/test/webView"];
    }
}

@end
