//
//  TMFURLRouterWebVC.m
//  TMFDemo
//
//  Created by gavinjwxu on 2022/4/12.
//  Copyright © 2022 Tencent. All rights reserved.
//

#import "TMFURLRouterWebVC.h"
#import "TMFWkWebView.h"
#import "TMFRouter.h"

@interface TMFURLRouterWebVC () <WKUIDelegate, WKNavigationDelegate, TMFURLRouterProtocol>

@property (nonatomic, strong) TMFWkWebView *webView;

@end

@implementation TMFURLRouterWebVC

+ (void)registerRouter {
    [TMFURLRouter registerURLPattern:@"tmf://router/test/webView" toHandler:^(NSDictionary *routerParameters) {
        TMFURLRouterWebVC *vc = [[TMFURLRouterWebVC alloc] init];
        vc.hidesBottomBarWhenPushed = YES;
        [[UIViewController currentNavigationViewController] pushViewController:vc animated:YES];
    }];
}

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view.
    self.title = @"测试webview跳转";
    TMFWkWebView *webView = [[TMFWkWebView alloc] initWithFrame:self.view.frame];
    webView.UIDelegate = self;
    webView.navigationDelegate = self;
    self.webView = webView;
    [self.view addSubview:self.webView];
    
    [self loadLocalHTMLWithFileName:@"testRouter"];
}

- (void)loadLocalHTMLWithFileName:(nonnull NSString *)htmlName {
    
    NSString *path = [[NSBundle mainBundle] bundlePath];
    NSURL *baseURL = [NSURL fileURLWithPath:path];
    NSString * htmlPath = [[NSBundle mainBundle] pathForResource:htmlName
                                                          ofType:@"html"];
    NSString * htmlCont = [NSString stringWithContentsOfFile:htmlPath
                                                    encoding:NSUTF8StringEncoding
                                                       error:nil];
    
    [self.webView loadHTMLString:htmlCont baseURL:baseURL];
}

- (void)webView:(WKWebView *)webView decidePolicyForNavigationAction:(WKNavigationAction *)navigationAction decisionHandler:(void (^)(WKNavigationActionPolicy))decisionHandler {
    NSLog(@"%@",navigationAction.request.URL.absoluteString);
    if ([TMFURLRouter canOpenURL:navigationAction.request.URL.absoluteString]) {
        [TMFURLRouter openURL:navigationAction.request.URL.absoluteString];
    }
    decisionHandler(WKNavigationActionPolicyAllow);
}


@end
