//
//  SKKeyBorderViewController.h
//  safe_keyboard
//
//  Created by v_ljqliang on 2020/4/28.
//  Copyright © 2020 tencent. All rights reserved.
//

#import "SKKeyConfigBaseViewController.h"

NS_ASSUME_NONNULL_BEGIN

/**
 @brief 安全键盘配置-键盘样式设置
 */
@interface SKKeyBorderViewController : SKKeyConfigBaseViewController

/**
 @brief 键盘键位圆角隐藏开关，四个属性分别对应左上、右上、左下、右下
 */
@property (weak, nonatomic) IBOutlet UISwitch *hideTopLeftCornerSwitch;
@property (weak, nonatomic) IBOutlet UISwitch *hideTopRightCornerSwitch;
@property (weak, nonatomic) IBOutlet UISwitch *hideBottomLeftCornerSwitch;
@property (weak, nonatomic) IBOutlet UISwitch *hideBottomRightCornerSwitch;

- (IBAction)hideCornerSwitchClicked:(UISwitch *)sender;
- (IBAction)borderWidthValueChanged:(UISlider *)sender;
- (IBAction)cornerRadiusValueChanged:(UISlider *)sender;
- (IBAction)normalBorderColorValueChanged:(UISlider *)sender;
- (IBAction)pressBorderColorValueChanged:(UISlider *)sender;


@end

NS_ASSUME_NONNULL_END
