//
//  SKKeyBorderViewController.m
//  safe_keyboard
//
//  Created by v_ljqliang on 2020/4/28.
//  Copyright © 2020 tencent. All rights reserved.
//

#import "SKKeyBorderViewController.h"
#import "TMFSafeKeyboard.h"

@interface SKKeyBorderViewController ()

@end

@implementation SKKeyBorderViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view from its nib.
}

- (IBAction)borderWidthValueChanged:(UISlider *)sender {
    self.keyboard.borderWidth =
    self.keyboard.preferredPreview.borderWidth = ceil(sender.value);
    [self.keyboard reloadStyle];
}

- (IBAction)cornerRadiusValueChanged:(UISlider *)sender {
    self.keyboard.borderCornerRadius = ceil(sender.value);
    [self.keyboard reloadStyle];
}


- (IBAction)normalBorderColorValueChanged:(UISlider *)sender {
    
    self.keyboard.borderColor =
    sender.value == 0 ?
    [UIColor clearColor] :
    [UIColor colorWithHue:sender.value saturation:1 brightness:1 alpha:1];
    
    self.keyboard.preferredPreview.borderColor=
    sender.value == 0 ?
    [UIColor colorWithWhite:0.3 alpha:1] :
    self.keyboard.borderColor;
    
    [self.keyboard reloadStyle];
}

- (IBAction)pressBorderColorValueChanged:(UISlider *)sender {
    self.keyboard.focusBorderColor =
    sender.value == 0 ?
    [UIColor clearColor] :
    [UIColor colorWithHue:sender.value saturation:1 brightness:1 alpha:1];
    
    self.keyboard.preferredPreview.borderColor =
    sender.value == 0 ?
    [UIColor colorWithWhite:0.3 alpha:1] :
    self.keyboard.focusBorderColor;
}

- (IBAction)hideCornerSwitchClicked:(UISwitch *)sender {
    
    UIRectCorner corner = 0;
    
    if (self.hideTopLeftCornerSwitch.isOn) {
        corner |= UIRectCornerTopLeft;
    }
    if (self.hideTopRightCornerSwitch.isOn) {
        corner |= UIRectCornerTopRight;
    }
    if (self.hideBottomLeftCornerSwitch.isOn) {
        corner |= UIRectCornerBottomLeft;
    }
    if (self.hideBottomRightCornerSwitch.isOn) {
        corner |= UIRectCornerBottomRight;
    }
    self.keyboard.hideCorners = corner;
    [self.keyboard reloadStyle];
}




@end
