//
//  SKScrollViewController.h
//  safe_keyboard
//
//  Created by v_ljqliang on 2020/4/30.
//  Copyright © 2020 tencent. All rights reserved.
//

#import <UIKit/UIKit.h>

NS_ASSUME_NONNULL_BEGIN
/**
 @brief 带有scrollView的试图控制器，用来解决页面上下超出屏幕后的显示问题
 */
@interface SKScrollViewController : UIViewController

- (instancetype)initWithContentViewController:(UIViewController *)viewController
                  contentViewControllerHeight:(CGFloat)contentViewControllerHeight;

/**
 @brief UIScrollView
 */
@property (nonatomic, strong) UIScrollView *scrollView;

/**
 @brief 需要展示的视图控制器，contentViewController.view会被添加到scrollview
 */
@property (nonatomic, strong) UIViewController *contentViewController;

/**
 @brief 内容高度
 */
@property (nonatomic, assign) CGFloat contentViewControllerHeight;

@end

NS_ASSUME_NONNULL_END
