//
//  SKScrollViewController.m
//  safe_keyboard
//
//  Created by v_ljqliang on 2020/4/30.
//  Copyright © 2020 tencent. All rights reserved.
//

#import "SKScrollViewController.h"

@interface SKScrollViewController ()

@end

@implementation SKScrollViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    
}

- (instancetype)initWithContentViewController:(UIViewController *)viewController contentViewControllerHeight:(CGFloat)contentViewControllerHeight
{
    self = [super init];
    if (self) {
        self.contentViewController = viewController;
        self.contentViewControllerHeight = contentViewControllerHeight;

        [self addChildViewController:self.contentViewController];
        [self.scrollView addSubview:self.contentViewController.view];
    }
    return self;
}

- (UIScrollView *)scrollView
{
    if (!_scrollView)
    {
        _scrollView = UIScrollView.new;
        _scrollView.alwaysBounceHorizontal = NO;
        _scrollView.showsHorizontalScrollIndicator = NO;
        _scrollView.showsVerticalScrollIndicator = NO;
        
        [self.view addSubview:_scrollView];
    }
    return _scrollView;
}

- (void)viewDidLayoutSubviews
{
    [super viewDidLayoutSubviews];
    
    CGFloat navHeight   = 0;
    
    if (@available(iOS 11.0, *))
    {
        navHeight   = self.view.safeAreaInsets.top;
    }
    else
    {
        navHeight   = self.navigationController.topLayoutGuide.length;
    }
    
    self.scrollView.frame =
    CGRectMake(0, navHeight, self.view.frame.size.width, self.view.frame.size.height);
    
    self.contentViewController.view.frame =
    CGRectMake(0, 0, self.view.frame.size.width, self.contentViewControllerHeight);
    
    self.scrollView.contentSize =
    CGSizeMake(self.view.frame.size.width, self.contentViewControllerHeight);
}

@end
