//
//  TMFUploadTableCell.h
//  TMFDemo
//
//  Created by hauzhong on 2019/7/22.
//  Copyright © 2019 Tencent. All rights reserved.
//

#import <UIKit/UIKit.h>

NS_ASSUME_NONNULL_BEGIN

typedef NS_ENUM(NSInteger, TMFUploadTableCellState) {
    TMFUploadTableCellStateRunning = 0,
    TMFUploadTableCellStateSuspended = 1,
    TMFUploadTableCellStateCompleted = 2,
};

typedef void (^TMFUploadTableCellHandler)(TMFUploadTableCellState state);

@interface TMFUploadTableCell : UITableViewCell
@property (readonly) UILabel *fileLabel;
@property (readonly) UILabel *URLLabel;
@property (readonly) UIProgressView *progressView;
@property (copy) TMFUploadTableCellHandler handler;

- (void)reloadDataWithFile:(NSString *)file;
- (void)reloadDataWithResult:(NSString *)result accessoryType:(UITableViewCellAccessoryType)accessoryType;
- (void)reloadState:(TMFUploadTableCellState)state;
@end

NS_ASSUME_NONNULL_END
