//
//  TMFUploadViewModel.h
//  TMFDemo
//
//  Created by hauzhong on 2019/7/22.
//  Copyright © 2019 Tencent. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "TMFUploader.h"

NS_ASSUME_NONNULL_BEGIN

@interface TMFUploadViewModel : NSObject
@property (readonly) NSString *temporaryPath;
@property (readonly) NSMutableArray<NSString *> *files;
@property (readonly) NSMutableArray<TMFUploadTask *> *tasks;

#pragma mark - UploadFile

- (void)addUploadFile:(NSString *)path;
- (void)reloadInCompleteUploadfiles;

#pragma mark - UploadTask

- (BOOL)containTaskWithFile:(NSString *)file;
- (void)addUploadTask:(TMFUploadTask *)task;
- (void)cancelWithFile:(NSString *)file;
- (void)resumeWithFile:(NSString *)file;
- (void)resume;

- (void)reloadData;
@end

NS_ASSUME_NONNULL_END
