//
//  TMFWCDBViewController.m
//  TMFDemo
//
//  Created by hauzhong on 2019/5/8.
//  Copyright © 2019 Tencent. All rights reserved.
//

#import "TMFWCDBViewController.h"
#import "TMFWCDBSampleUsage.h"
#import "NSString+Localize.h"

@interface TMFWCDBViewController ()

@end

@implementation TMFWCDBViewController

- (void)initDataSource {
    [super initDataSource];
    self.dataSource = @[[@"model binding ORM" localizedString],
                        [@"CRUD" localizedString],
                        [@"database file operations" localizedString],
                        [@"database table operations" localizedString],
                        [@"transaction" localizedString],
                        [@"language integration query" localizedString],
                        [@"monitoring and error handling" localizedString],
                        [@"corruption, repair, backup" localizedString],
                        [@"custom field mapping type" localizedString],
                        [@"full text search" localizedString],
                        [@"decryption and configuration" localizedString],
                        [@"advanced interface" localizedString]
                        ];
}

- (void)setupNavigationItems {
    [super setupNavigationItems];
    self.title = @"WCDB";
}

- (void)didSelectCellWithTitle:(NSString *)title {
    if ([title isEqualToString:[@"model binding ORM" localizedString]]) {
        [self notify:[NSString stringWithFormat:[@"see code examples in %@" localizedString],@"WCDB/orm"]];
    } else if ([title isEqualToString:[@"CRUD" localizedString]]) {
        [self notify:[NSString stringWithFormat:[@"see code examples in %@" localizedString],@"WCDB/chaincall"]];
    } else if ([title isEqualToString:[@"database table operations" localizedString]]) {
        [self notify:[NSString stringWithFormat:[@"see code examples in %@" localizedString],@"WCDB/table"]];
    } else if ([title isEqualToString:[@"database file operations" localizedString]]) {
        [self notify:[NSString stringWithFormat:[@"see code examples in %@" localizedString],@"WCDB/file"]];
    } else if ([title isEqualToString:[@"transaction" localizedString]]) {
        [self notify:[NSString stringWithFormat:[@"see code examples in %@" localizedString],@"WCDB/transaction"]];
    } else if ([title isEqualToString:[@"language integration query" localizedString]]) {
        [self notify:[NSString stringWithFormat:[@"see code examples in %@" localizedString],@"WCDB/convenient"]];
    } else if ([title isEqualToString:[@"monitoring and error handling" localizedString]]) {
        [self notify:[NSString stringWithFormat:[@"see code examples in %@" localizedString],@"WCDB/statstics"]];
    } else if ([title isEqualToString:[@"corruption, repair, backup" localizedString]]) {
        [self notify:[NSString stringWithFormat:[@"see code examples in %@" localizedString],@"WCDB/repair"]];
    } else if ([title isEqualToString:[@"custom field mapping type" localizedString]]) {
        [self notify:[NSString stringWithFormat:[@"see code examples in %@" localizedString],@"WCDB/core"]];
    } else if ([title isEqualToString:[@"full text search" localizedString]]) {
        [self notify:[NSString stringWithFormat:[@"see code examples in %@" localizedString],@"WCDB/fts"]];
    } else if ([title isEqualToString:[@"decryption and configuration" localizedString]]) {
        [self notify:[NSString stringWithFormat:[@"see code examples in %@" localizedString],@"WCDB/advance"]];
    } else if ([title isEqualToString:[@"advanced interface" localizedString]]) {
        [self notify:[NSString stringWithFormat:[@"see code examples in %@" localizedString],@"WCDB/advance"]];
    }
}

- (void)notify:(NSString *)message {
    NSLog(@"%@", message);

    QMUIAlertAction *action1 = [QMUIAlertAction actionWithTitle:@"OK" style:QMUIAlertActionStyleCancel handler:NULL];
    QMUIAlertController *alertController = [QMUIAlertController alertControllerWithTitle:nil message:message
                                                                          preferredStyle:QMUIAlertControllerStyleAlert];
    [alertController addAction:action1];
    [alertController showWithAnimated:YES];
}
@end
