# 如何使用TMFDemo

### TMFDemo工程目录

- **Demo**:TMFDemo源码
  - **Frameworks**：TMFDemo用到的第三方库
  - **Podfile**:默认的podfile
  - **Podfile_old**:使用本地私有库时的podfile参考<font color="red">*</font>
- **Tools**：cocoapods安装脚本

### 使用TMFDemo

1. 打开`终端`，切换目录至`TMF.xcodeproj`同级目录

2. `$ pod install`倒入依赖库文件

3. 运行`TMF.xcworkspace`

   

# 在自己的项目中使用TMF

### 1.使用在线私有库的方式集成

1. 在项目的`yourProject.xcodeproj`同级目录创建`Podfile`文件。可以使用终端命令`& pod init`创建

1. 添加**TMF SDK的仓库源**至`Podfile`文件

   ```ruby
   source 'https://git.code.tencent.com/TMF-SDK/tmf-repo.git'
   ```

2. 添加TMF SDK

   ```ruby
   # 引用整个库
   pod 'TMFBase', '~> 1.0.0'
   # 引用子库
   #pod 'TMFJSAPIs', '~> 1.3.4'
   pod 'TMFJSAPIs/TMFJSAPIs_Common'
   ```

3. `$ pod install`

### 2.使用本地私有库的方式集成

1. 在`Demo`目录下创建一个`Frameworks`对TMF SDK进行统一存放
2. 将SDK拷贝至最外层`Frameworks`目录，参考**`Podfile_old`**中使用本地path的方式进行集成
3. `$ pod install`

<font color=red>备注</font>：

​	1. SDK路径和`Podfile`的SDK路径要保持一致

<img src="img/1.png" style="width:70%">

<img src="img/2.png" style="width:40%">

​	2. SDK本地路径如图

<img src="img/3.png" style="width:70%">

##### 使用注意事项：

1. ~~从控制台下载新的app配置文件后，需要卸载app重装编译安装，以免客户端对应的环境错乱，导致数据和服务异常。~~,新版本SDK具备数据隔离功能，切换配置文件不再需要卸载重装。

