#!/bin/bash
# $1 -configuration e.g Debug

cd Delivery/Demo

PROJECT_TARGET="TMF"
APP_NAME="TMFDemo"
APP_TARGET_NAME="TMFDemo"

#开始DailyBuild
echo ">>>>>> start $APP_NAME DailyBuild ..."

#安装组件
pod install


#[BEGIN]#========================================================初始化编译参数模块=======================================================#[BEGIN]#

echo ">>>>>> initlizate environment variables ..."

#默认源路径
if [ "$(dirname $0)" == "." ]; then
    SRCROOT=$PWD
else
    SRCROOT=$(dirname $0)
fi
echo "SRCROOT = $SRCROOT"

#xcodebuild路径
#XCODE_PATH=$XCODE_PATH$compileEnv
XCODE_PATH="/Applications/Xcode.app/Contents/Developer/usr/bin/xcodebuild"
echo "XCODE_PATH = $XCODE_PATH"

#xcodebuild SDK版本
#SDKVERSION=$compileEnv
# SDKVERSION="iphoneos"
# echo "SDKVERSION = $SDKVERSION"

if [ -d "$PROJECT_TARGET/build" ]; then
    rm -rf $PROJECT_TARGET/build/*
fi

#编译临时存放目录
BUILD_PATH="$SRCROOT/buildtemp"
echo "BUILD_PATH = $BUILD_PATH"
if [ -d "$BUILD_PATH" ]; then
    rm -rf $BUILD_PATH/*
else
    mkdir "$BUILD_PATH"
fi
rm -rf "$BUILD_PATH/Payload"
mkdir "$BUILD_PATH/Payload"

echo ">>>>>> initlizate environment variables end";

#[ END ]#========================================================初始化编译参数模块=======================================================#[ END ]#


#[BEGIN]#==========================================================编译打包模块==========================================================#[BEGIN]#

echo ">>>>>> building begin";

$XCODE_PATH clean install CONFIGURATION_BUILD_DIR="$SRCROOT/$PROJECT_TARGET/build/Debug-iphoneos" -workspace "$SRCROOT/$PROJECT_TARGET.xcworkspace" -scheme $APP_TARGET_NAME -configuration $1
cp -R "$SRCROOT/$PROJECT_TARGET/build/Debug-iphoneos/$APP_NAME.app" "$BUILD_PATH/Payload" || { echo "Fail to build $BUILD_FAIL_PROJECT"; exit 1; }

pushd "$BUILD_PATH"
zip -r $APP_NAME.ipa Payload
popd

cd $SRCROOT 
if [ -d "result" ]; then
    rm -rf result
    echo "result removed..."
fi

# 构建最终目录
echo "make destination file dir"
mkdir -p "result/"

desPath="$SRCROOT/result/"
cd ${desPath} # cd到result输出目录下

uuid=$(uuidgen)
mkdir -p "$uuid/" # 创建dsym的uuid目录
dsymPath=$desPath$uuid"/"

# cd到项目编译目录
buildFileDir=${SRCROOT}"/$PROJECT_TARGET/build/Debug-iphoneos/"
cd $buildFileDir

# 批量复制“.dSYM”格式的文件
if [ "$1" == "Debug" ]; then
    for file in *.dSYM;
    do
        echo ${file}
        cp -a ${file} ${dsymPath}
    done
    echo ".......\n"
fi

pushd "$desPath"
zip -r $uuid.zip $uuid
rm -rf $uuid
popd

ls -l "$BUILD_PATH"

# 复制“.ipa”格式的文件
mv "$BUILD_PATH/$APP_NAME.ipa" "$desPath"

ls -l "$desPath"

#清理编译环境
rm -rf "$BUILD_PATH"
rm -rf "$SRCROOT/$APP_NAME/build"

#[ END ]#==========================================================编译打包模块==========================================================#[ END ]#

#[FINISH]#记录结束编译时间
echo ">>>>>> All works have been done"
